do

local OldUnit = CConstructionStructureUnit
CConstructionStructureUnit = Class(OldUnit) {   
    OnStopBeingBuilt = function(self,builder,layer)
        OldUnit.OnStopBeingBuilt(self,builder,layer)
        self:ForkThread(self.WatchEnemyUnits,self)
    end,
    WatchEnemyUnits = function(self)
        local bpEconomy = self:GetBlueprint().Economy
        local CaptureRange = bpEconomy.MaxBuildDistance
        local CaptureRate = bpEconomy.BuildRate
        while not self:IsDead() do
            local Target = self:GetNearestEnemyInSphere(CaptureRange)
            if Target.FxScale then  -- Test to see if a unit was returned or just an empty table
                --IssueCapture({self},Target)   -- Broken.  GPG hard coded max range to 10.
                local Counter = 0
                local TargetCaptureTime = math.ceil((Target:GetBlueprint().Economy.BuildTime / CaptureRate) / 10)
                self.EnergyMaintenanceConsumptionOverride = CaptureRate * 10
                self:SetMaintenanceConsumptionActive()
                self:UpdateConsumptionValues()
                OldUnit.OnStartCapture(self,Target)
                while VDist3(self:GetPosition(),Target:GetPosition()) <= CaptureRange and Counter < TargetCaptureTime * 4 do
                    Target.BeingCaptured = true
                    WaitSeconds(0.25)
                    Counter = Counter + 1
                    self:SetWorkProgress(Counter / (TargetCaptureTime * 4))
                end
                if Counter >= TargetCaptureTime * 4 then
                    Target:OnCaptured(self)
                    self:OnStopCapture(Target)
                else
                    self:OnFailedCapture(Target)
                end
                self:SetMaintenanceConsumptionInactive()
                self:SetWorkProgress(0)
                Target.BeingCaptured = nil
            end
            WaitSeconds(1)
        end
    end,

    GetNearestEnemyInSphere = function(self,radius)
        local pos = self:GetPosition() 
        local aiBrain = self:GetAIBrain()   
        local units = aiBrain:GetUnitsAroundPoint( categories.MOBILE - categories.EXPERIMENTAL - categories.SUBCOMMANDER - categories.COMMAND - categories.ENGINEERSTATION - categories.AIR , pos, radius, 'Enemy' )
        local NearestDistance
        local NearestEnemy = {}
        for k,v in units do
            if not v.BeingCaptured then
                --LOG("|| Enemy Unit: " .. v:GetBlueprint().Description)
                local dist = VDist3(pos,v:GetPosition()) 
                if NearestDistance then
                    if dist < NearestDistance then
                        --LOG("|| Nearest unit found")
                        NearestEnemy = v
                        NearestDistance = dist
                    end
                else
                    --LOG("|| Nearest unit found")
                    NearestEnemy = v
                    NearestDistance = dist
                end 
            end
        end
        if NearestDistance <= radius then
            return NearestEnemy
        else
            return {}
        end
    end,
}

end
