--[[
do
local OldProp = Prop
Prop = Class(OldProp) {


    SetReclaimValues = function(self, masstimemult, energytimemult, mass, energy)
        self.MassReclaim = math.max( 0, mass )
        self.EnergyReclaim = math.max( 0, energy )
        self.ReclaimTimeMassMult = masstimemult
        self.ReclaimTimeEnergyMult = energytimemult
        LOG("|| SetReclaimValues: " .. mass)
    end,

    OnDamage = function(self, instigator, amount, direction, damageType)
        if not self.CanTakeDamage then return end
        local preAdjHealth = self:GetHealth()
        self:AdjustHealth(instigator, -amount)
        local health = self:GetHealth()
        --LOG("|| " .. damageType .. " " .. amount)
        if( health <= 0 ) then
            if( damageType == 'Reclaimed' ) then
                self:Destroy()
            else
                local excessDamageRatio = 0.0
                # Calculate the excess damage amount
                local excess = preAdjHealth - amount
                local maxHealth = self:GetMaxHealth()
                if(excess < 0 and maxHealth > 0) then
                    excessDamageRatio = -excess / maxHealth
                end
                self:Kill(instigator, damageType, excessDamageRatio)
            end
        end
    end,

    GetReclaimCosts = function(self, reclaimer)
        local rbp = reclaimer:GetBlueprint()
        local mtime = self.ReclaimTimeMassMult * (self.MassReclaim / reclaimer:GetBuildRate() )
        local etime = self.ReclaimTimeEnergyMult * (self.EnergyReclaim / reclaimer:GetBuildRate() )
        local time = mtime
        if mtime < etime then
            time = etime
        end
        --LOG("|| Mass: " .. self.MassReclaim)
        return (time/10), self.EnergyReclaim, self.MassReclaim
    end,


}
end
--]]