do
    local OldUpdateWindow = UpdateWindow

    function UpdateWindow(info)
        OldUpdateWindow(info)



        if info.blueprintId != 'unknown' then
            for index = 1, 5 do
                local i = index
                controls.vetIcons[i]:Hide()
            end


            controls.vetXPBar:Hide()
            controls.vetXPText:Hide()
            controls.Buildrate:Hide()


            if UnitData[info.entityId].LevelProgress  then
                local level = math.floor(UnitData[info.entityId].LevelProgress)
                local percent = UnitData[info.entityId].LevelProgress - level

                controls.vetXPBar:SetValue(percent)

                controls.vetXPText:SetText(string.format('Level %d', level))
                controls.vetXPText:Show()
                controls.vetXPBar:Show()
            end

            if info.health and UnitData[info.entityId].RegenRate then
                controls.health:SetText(string.format("%d / %d +%d/s", info.health, info.maxHealth,math.floor(UnitData[info.entityId].RegenRate)))
            end

            if UnitData[info.entityId].BuildRate and UnitData[info.entityId].BuildRate >= 2 then
                controls.Buildrate:SetText(string.format("%d",math.floor(UnitData[info.entityId].BuildRate)))
                controls.Buildrate:Show()
            end
        else
            controls.vetXPBar:Hide()
            controls.vetXPText:Hide()
            controls.Buildrate:Hide()
        end
    end



    local OldCreateUI = CreateUI

    function CreateUI()
        OldCreateUI()
        controls.vetXPBar = StatusBar(controls.bg, 0, 1, false, false, nil, nil, true)
        controls.vetXPText = UIUtil.CreateText(controls.bg, '', 12, UIUtil.bodyFont)
        controls.Buildrate = UIUtil.CreateText(controls.bg, '', 12, UIUtil.bodyFont)
    end
end

---Admiral Zeech's improved rollover (sticks around if unit is selected)
--[[
do
   local originalCreateUI = CreateUI
   local originalUpdateWindow = UpdateWindow

   function CreateUI()
      originalCreateUI()

      controls.bg.OnFrame = function(self, delta)
                               local info = GetRolloverInfo()

                               -- If no rollover, then see if we have a single unit selected
                               if not info and import("/mods/selectedinfo/selectedinfo.lua").SelectedInfoOn then
                                  local selUnits = GetSelectedUnits()
                                  if selUnits 
                                     and table.getn(selUnits) == 1 
                                     and import('/lua/ui/game/unitviewDetail.lua').View.Hiding then

                                     info = import("/mods/selectedinfo/selectedinfo.lua").GetUnitRolloverInfo(selUnits[1])

                                  end   
                               end  
                               
                               -- Original function code
                               if info then
                                  UpdateWindow(info)
                                  if self:GetAlpha() < 1 then
                                     self:SetAlpha(math.min(self:GetAlpha() + (delta*3), 1), true)
                                  end
                                  import(UIUtil.GetLayoutFilename('unitview')).PositionWindow()
                               elseif self:GetAlpha() > 0 then
                                  self:SetAlpha(math.max(self:GetAlpha() - (delta*3), 0), true)
                               end
                            end

   end

   function UpdateWindow(info)
      originalUpdateWindow(info)
      -- Replace fuel bar with progress bar
      if info.blueprintId ~= 'unknown' then
         controls.fuelBar:Hide()
         if info.workProgress > 0 then
            controls.fuelBar:Show()
            controls.fuelBar:SetValue(info.workProgress)
         end
      end   
   end  

end
--]]