##****************************************************************************
#**  File     :  lua/modules/ui/help/unitdescriptions.lua
#**  Author(s):  Ted Snook
#**
#**  Summary  :  Strings and images for the unit rollover System
#**
#**  Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
 
Description = {
##UEF Units


   ##Commanders  
     ['uel0001'] = "<LOC Unit_Description_0303> Houses Commander. Combination barracks and command center. Contains all the blueprints necessary to build a basic army from scratch.",
     ['uel0001-tm'] = "<LOC Unit_Description_0004>Mounts a tactical cruise missile launcher onto the back of the ACU.",
     ['uel0001-aes'] = "<LOC Unit_Description_0005>A series of Engineering upgrades which increases the construction rate of the ACU as well as enabling it to construct higher tech units.  ACU armor is increased for the Tech2 and Tech3 upgrades.",
     ['uel0001-dsu'] = "<LOC Unit_Description_0006>Greatly increases the speed at which the ACU repairs itself.",
     ['uel0001-ees'] = "<LOC Unit_Description_0007>A series of Engineering upgrades which increases the construction rate of the ACU as well as enabling it to construct higher tech units.  ACU armor is increased for the Tech2 and Tech3 upgrades.",
     ['uel0001-hamc'] = "<LOC Unit_Description_0008>A series of upgrades which increases the rate of fire, and later the damage output of the ACU's main weapon.",
     ['uel0001-srtn'] = "<LOC Unit_Description_0009>Adds a short-range tactical nuke.",
     ['uel0001-pqt'] = "<LOC Unit_Description_0010>Upgrades teleportation function of the ACU so it can initiate a jump with just one Network Beacon in range, and the recharge is faster and energy cost much less than without the upgrade.",
     ['uel0001-sgf'] = "<LOC Unit_Description_0011>An extremely dense armor upgrade formed by manipulating the neutron configuration of the armor's molecular structure.  Adds immense armor without adding bulk to the ACU.",
     ['uel0001-isb'] = "<LOC Unit_Description_0012>Increases ACU's resource generation.",
     ['uel0001-psg'] = "<LOC Unit_Description_0013>A series of Shield upgrades which generates protective energy barriers around the ACU.  Each upgrade generates a significantly stronger shield than the last, but also requires more energy to operate.",
     ['uel0001-led'] = "<LOC Unit_Description_0014>Engineering Drone acts as a secondary Engineer. Assists the ACU where applicable.",
     ['uel0001-red'] = "<LOC Unit_Description_0015>Adds a second Engineering Drone. Requires an initial Engineering Drone.",
     
     
    ##Support Commanders 
   
   ['uel0301'] = "<LOC Unit_Description_0016> A multi-purpose construction, repair, capture and reclamation unit. Equivalent to a Tech 3 Engineer. ",
   ['uel0301-ed'] = "<LOC Unit_Description_0017> Engineering Drone acts as a secondary Engineer. Assists the SACU where applicable.",
   ['uel0301-psg'] = "<LOC Unit_Description_0018> Creates a protective shield around the SACU. Requires Energy to run.",
   ['uel0301-sgf'] = "<LOC Unit_Description_0019> Expands the radius of the SACU's personal shield. Requires Energy to run.",
   ['uel0301-rj'] = "<LOC Unit_Description_0020>Radar Jammer creates false radar images. Countered by Omni sensors.",
   ['uel0301-isb'] = "<LOC Unit_Description_0021> Increases SACU's resource generation.",
   ['uel0301-sre'] = "<LOC Unit_Description_0022>Greatly expands the range of the standard onboard SACU sensor systems.",
   ['uel0301-acu'] = "<LOC Unit_Description_0023>Rapidly cools any weapon mounted onto the SACU. Increases rate of fire.",
   ['uel0301-heo'] = "<LOC Unit_Description_0024>Equips the standard SACU Heavy plasma cannon with area-of-effect damage.",

    
    ##Land
    
    
   ['uel0101'] = "<LOC Unit_Description_0025>This unit is your primary means of mobile intelligence gathering in the early game.  It has greater vision than other land units and also is equipped with a short range radar.  It is very fast and agile, as well as inexpensive.  The scout is extremely fragile and will not survive being shot at.  Scouts have a special 'deployment' mode which immobilizes the unit and greatly extends its radar range but costs significant energy to operate.  This scout carries a light weapon for use against enemy scouts or other weak unarmed units such as mass extractors or radar towers.",
   ['uel0106'] = "<LOC Unit_Description_0026>This unit is designed to operate in swarms.  It is very fragile for a combat unit, and carries a short range light weapon.  Its strength is in its low cost and high speed.  No other land unit is capable of projecting firepower as quickly as the Light Assault Bot.  It is a very good raiding unit but will not survive an assault against hardened locations with rapid fire weapons such as Point Defenses.  Use this unit in large numbers to overwhelm heavy slow firing units, or undefended targets such as outlying mass extractors and expanding engineers.",
   ['uel0103'] = "<LOC Unit_Description_0027>Light Mobile Artillery is useful for adding damage to your early mobile army, as well as for taking out structures such as Point Defense.  It fires high in the air and rains down damage from above the target unit.  As such, it is particularly vulnerable to regular 'tanks' or anything that is quick and has a rapid fire direct weapon.  The artillery weapon does land accurately but takes a while to get there, so individual mobile units will probably escape but when firing into a crowd of Tech 1 units, the Mobile Artillery is likely to kill something.  This unit fires a single shot that splits into several smaller pieces just before impact to spread out its damage.",
   ['uel0104'] = "<LOC Unit_Description_0028>Light Mobile Anti-Air vehicles are useful to bring with your army to protect them from aerial assault.  While they don't contribute directly to a land assault, it can be devastating to be caught without AA cover when a squad of bombers or gunships comes to attack your mobile forces.  The AA is fairly effective although not as effective as stationary AA turrets.",
   ['uel0201'] = "<LOC Unit_Description_0029>The Striker medium assault tank is the most armored Tech 1 vehicle in the game.  It also has a decent weapon, making it a quality general purpose tank.",
   ['uel0202'] = "<LOC Unit_Description_0030>The Pillar is the quintessential 'heavy tank'.  It has lots of armor, and a strong weapon with good range.  What it lacks for in maneuverability it makes up for in durability.  It is a good frontal-assault unit.  Due to its rather slow turret speed, be careful to not let it get swarmed by small fast units without support.",
   ['uel0203'] = "<LOC Unit_Description_0031>Amphibious tank. Provides direct-fire support with two riot guns.", 
   ['uel0111'] = "<LOC Unit_Description_0032>Heavily armored, mobile tactical missile launcher. Designed to attack at long range.",
   ['uel0205'] = "<LOC Unit_Description_0033>Mobile AA unit. Armed with flak artillery.",
   ['uel0307'] = "<LOC Unit_Description_0034>Mobile shield generator.",
   ['uel0303'] = "<LOC Unit_Description_0035>The Titan is the epitome of UEF's design philosophy in a combat unit.  It is extremely tough and has a high damage rapid fire weapon on each arm.  The Titan is equipped with twin power cores, one for movement and the other for weapons. Although the unit walks very slowly due to its massive bulk, it has the option of temporarily diverting all the power from the weapon's power core to the drive train giving it a massive speed boost for a short time.  The Titan also projects a small number of false radar contacts to throw off the enemy.  Titan's weapon is tuned for crowd control. It can destroy large numbers of light units quickly.",
   ['uel0304'] = "<LOC Unit_Description_0036>Slow-moving heavy artillery. Must be stationary to fire.",
   ['uel0401'] = "<LOC Unit_Description_0037>Experimental, amphibious mobile factory. Equipped with battleship-level weapons and armor. Its shield consumes Energy.",
   ['xel0305'] = "<LOC Unit_Description_0307>The Percival is the perfect compliment to the Titan.  It is heavily armored and carries an enormous plasma cannon on one arm.  The weapon has a respectable range and extremely high damage but takes a very long time to reload.  Due to this, the Percival is very vulnerable to attack by large numbers of light units.  A pack of Light Assault Bots can take it down easily because it can't effectively fight back with a weapon that reloads so slow.  Due to this, it is best to escort Percivals with Titans or other units which can respond to swarm threats while Percival focuses on taking out hardened targets.  Onboard fire control will direct Percival's firepower on the most optimal targets first, so as to not waste shots on light units.",
   ['xel0306'] = "<LOC Unit_Description_0308> Mobile missile launcher. Long reload time. Designed to overwhelm enemy shields and tactical missile defenses with large salvos.",

   
   ##AIR
   
   
   ['uea0101'] = "<LOC Unit_Description_0038>Air scouts provide fast critical intel on enemy positions.  They fly very quickly, are difficult to hit with anti-air, have greater vision range than most other aircraft, and are dirt cheap and quick to build.",
   ['uea0102'] = "<LOC Unit_Description_0039>Interceptors are the standard anti-air solution for Tech 1.  They are fast and extremely maneuverable aircraft equipped with a medium damage AA gun.  Their greatest advantage is to be able to operate away from your established base to react to sudden air threats before ground based AA can be deployed.",
   ['uea0103'] = "<LOC Unit_Description_0040>Bombers are aircraft capable of attacking ground units with significant damage in a fly-by fashion.  They circle around after an attack run to reload and drop more bombs on the target.  Bombers are fairly slow and easy to hit with AA, but their sudden front-end damage usually means at least one payload is released before the aircraft is lost, especially when operating in large numbers.",
   ['uea0107'] = "<LOC Unit_Description_0041>Light transport aircraft are able to move ground forces from one area to another quickly and if necessary, automatically via Ferry Routes.  They are vulnerable to anti-air fire but in areas where AA is low, it is possible to project your ground forces around the map very efficiently, bypassing terrain obstacles.  Transports fly slower when weighted down by attached units.",
   ['uea0203'] = "<LOC Unit_Description_0042>Light gunship. Equipped with one riot gun and a single transportation clamp.",
   ['uea0204'] = "<LOC Unit_Description_0043>Torpedo bomber. Armed with a payload of Angler torpedoes.",
   ['uea0302'] = "<LOC Unit_Description_0044>Extremely fast spy plane. Equipped with mid-level surveillance equipment.",
   ['uea0104'] = "<LOC Unit_Description_0045>Heavily armed, mid-level air transport. Equipped with riot guns and AA weapons. Can carry up to 12 units.",
   ['uea0303'] = "<LOC Unit_Description_0046>High-end air fighter. Designed to engage air units of any type.",
   ['uea0304'] = "<LOC Unit_Description_0047>High-end strategic bomber. Armed with a small yield nuclear bomb and light AA gun.",
   ['uea0305'] = "<LOC Unit_Description_0048>Heavy gunship. Armed with two tactical rocket launchers and an AA railgun.", 
   ['xea0306'] = "<LOC Unit_Description_0309> Heavy air transport. Features 28 transportation clamps, heavy cannons, missile launchers and a shield generator. Can carry up to 28 units.",
      
      
    ##SEA
    
      
   ['ues0103'] = "<LOC Unit_Description_0049>This frigate is a lightweight ship useful in attacking outposts along the shore as well as defending your naval fleet from hovercraft or other frigates.  It carries a short ranged radar which helps your destroyers fire at maximum range, and helps locate enemy fleets.  The ship also provides very important anti-air defense to protect your fleet from torpedo bombers and to keep the skies above clear of enemy aircraft.  This frigate is equipped with a Radar Scrambling device which creates numerious false radar signatures to confuse the enemy.",
   ['ues0203'] = "<LOC Unit_Description_0050>Low-end attack submarine.",
   ['ues0202'] = "<LOC Unit_Description_0051>Anti-aircraft naval vessel. Armed with AA missile system, SAM system and tactical missile launcher.", 
   ['ues0201'] = "<LOC Unit_Description_0052>Mid-level naval unit. Equipped with a torpedo bay, anti-torpedo defense, dual cannons and a single AA weapon.",
   ['ues0302'] = "<LOC Unit_Description_0053>Shore bombardment and anti-ship vessel. Armed with three heavy cannons, four AA railguns and two anti-missile guns.",
   ['ues0304'] = "<LOC Unit_Description_0054>Strategic missile submarine. Armed with long-range tactical missiles and a strategic missile launcher.",
   ['ues0401'] = "<LOC Unit_Description_0055>Submersible aircraft carrier. Can store, transport and repair aircraft. Armed with torpedo launchers and AA weapons.",
   ['xes0102'] = "<LOC Unit_Description_0310> Dedicated sub-killer. Armed with a torpedo tube and anti-torpedo charges.",
   ['xes0205'] = "<LOC Unit_Description_0311> Naval shield generator. Provides protection for all nearby vessels.",
   ['xes0307'] = "<LOC Unit_Description_0312> High-end anti-naval vessel. Armed with plasma beams, torpedo systems, anti-missile defenses and anti-torpedo charges.",

  
  
   ##['ues0001'] = "<LOC Unit_Description_0056>The UEF Supreme commander Description",

   
   
   ##Buildings 
   
   
   ['ueb2101'] = "<LOC Unit_Description_0057> 1st Tier Point Defense turrets are built on land to hold ground and provide short ranged protection to areas from incoming enemy units.  Note: they will not attack aircraft or underwater units.",
   ['ueb2104'] = "<LOC Unit_Description_0058> 1st Tier Anti-Air turrets are built on land to protect nearby units from aerial attacks.  They are inexpensive, short ranged, and lightly armored defensive structures that should be built frequently to provide AA coverage for anywhere you need to keep enemy aircraft away.",
   ['ueb2109'] = "<LOC Unit_Description_0059> 1st Tier Torpedo Launchers are built in the water to protect against enemy naval vessels.  Both ships and submarines are attacked by this high damage weapon.  Torpedo launchers require additional sonar coverage in order to target enemy units at their full range.",
   ['ueb5101'] = "<LOC Unit_Description_0060> Walls are built to block movement of all but the largest of land units.  They are also built to protect units from direct enemy fire.  Artillery and other weapons coming in from a high angle will not be blocked.",
   ['ueb2301'] = "<LOC Unit_Description_0061> 2nd Tier Point Defense turrets are built on land to hold ground and provide long ranged protection to areas from incoming enemy units.  The UEF Triad is a triple barrel cannon that fires high-velocity shells and rarely misses.  Note: T2PD will not attack aircraft or underwater units.",
   ['ueb2204'] = "<LOC Unit_Description_0062> Flak turrets are designed specifically to engage large numbers of aircraft grouped together in clusters.  The weapon has a wide blast area with good damage, but the projectile itself is fairly slow so it is not likely to catch fast moving planes flying by.  Gunships and bombers are particularly vulnerable to Flak.  Build multiple Flak turrets to protect a larger base from mass aerial assault.",
   ['ueb4201'] = "<LOC Unit_Description_0063> Tactical missile defense. Protection is limited to the structure's operational area.",
   ['ueb2205'] = "<LOC Unit_Description_0064> 2nd Tier Torpedo Launchers are built in the water to protect against heavy naval vessels.  Both ships and submarines are attacked by this very high damage weapon which is capable of sinking even capital ships.  Torpedo launchers require additional sonar coverage in order to target enemy units at their full range.",
   ['ueb4202'] = "<LOC Unit_Description_0065> Generates a protective shield around units and structures within its radius.",

   ['ueb2304'] = "<LOC Unit_Description_0066> High-end anti-air tower. Designed to engage all levels of aircraft.",
   ['ueb4302'] = "<LOC Unit_Description_0067> Strategic missile defense. Protection is limited to the structure's operational area.",
   ['ueb4301'] = "<LOC Unit_Description_0068> Generates a heavy shield around units and structures within its radius.",
   ['ueb2303'] = "<LOC Unit_Description_0069> The UEF Klink Hammer is a long range stationary artillery turret which launches high damage concussion shells.  Its accuracy isn't the best but the damage makes up for it.  When firing on someone's firebase, the Klink Hammer will eat through shields and start picking off structures.  This artillery turret is an essential tool in softening up perimeters, as well as defending against incoming slow moving land experimentals.  In numbers, it makes the UEF front lines formidable to approach, but it also is an excellent siege weapon.",
   ['ueb2108'] = "<LOC Unit_Description_0070> Tactical missile launchers are long range, accurate weapons that do not track moving targets.  Each missile must be constructed by the launcher, which consumes mass and energy during the construction.  Missiles can be constructed automatically or manually as needed.  Missiles must be launched manually, as this unit will not automatically fire on anything.   Since the missile takes some time to reach its destination, mobile units may have moved by the time of impact, so structures are more ideal targets.  UEF TMLs have the longer range than other factions.",
   ['ueb5202'] = "<LOC Unit_Description_0071> Refuels and repairs most aircraft. Air patrols will automatically use facility.  Build this unit to extend the usefulness of your air force.  Planes run out of fuel and get damaged.  This structure will automatically maintain them.  When making an attack with bombers or gunships far from your base, you should built an Air Staging Facility somewhere near your destination so they can be fueled up and ready to attack.",
   ['ueb2302'] = "<LOC Unit_Description_0072> Stationary heavy artillery with excellent range, accuracy and damage potential. ",
   ['ueb2305'] = "<LOC Unit_Description_0073> Strategic missile launcher. Constructing missiles costs resources. Must be ordered to construct missiles.",
   ['ueb0304'] = "<LOC Unit_Description_0074> Highly advanced factory utilizing quantum energy to accelerate unit construction to many times faster than normal.  This factory can create large armies by itself very quickly.",
   ['ueb2401'] = "<LOC Unit_Description_0075> Extremely advanced strategic artillery. Unlimited range, pin-point accuracy and devastating ordinance.",
   ['xeb2306'] = "<LOC Unit_Description_0313> Heavy defensive tower. Attacks land- and sea-based units. Does not engage aircraft or submerged units.",
   ['xeb2402'] = "<LOC Unit_Description_0314> Satellite-based weapon system. Attacks enemy units and structures. If its control center is destroyed, the weapon is immediately disabled.",

   
   
   ##Engineers
   
   ['uel0105'] = "<LOC Unit_Description_0076> This engineer unit can be used to build Tech 1 structures such as defenses, factories and resource generators.  The engineer is capable of assisting other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   ['uel0208'] = "<LOC Unit_Description_0077> This engineer unit can be used to build Tech 1 or Tech 2 structures such as defenses, factories and resource generators.  The engineer is capable of assisting other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   ['uel0309'] = "<LOC Unit_Description_0078> This engineer unit can be used to build Tech 1, Tech 2 or Tech 3  structures such as defenses, factories and resource generators. It is also capable of constructing Experimental units.  The engineer can assist other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   ['xel0209'] = "<LOC Unit_Description_0315> Tech 2 amphibious construction, repair, capture and reclamation unit. Armed with a Riot Gun and internal radar and jammer.",
   ['xeb0104'] = "<LOC Unit_Description_0446> Automatically repairs, reclaims, assists or captures any unit within its operational radius.",   
   ['xeb0204'] = "<LOC Unit_Description_0453> Automatically repairs, reclaims, assists or captures any unit within its operational radius.",
            
   ##Factories
    
    
   ['ueb0101'] = "<LOC Unit_Description_0079> The Land Factory creates the initial mobile units necessary to wage a war. These units are quick and cheap to construct, and add rapid response to your army.  This factory is outfitted to create only land based units. The factory can be upgraded to Tech2 and can also assist other factories.",
   ['ueb0102'] = "<LOC Unit_Description_0080> The Air Factory creates the initial air units necessary to wage a war. These units are basic scouting, anti-air, bombing and transport aircraft, and should be staples of your attack strategy throughout the game.  This factory is outfitted to create only aircraft. The factory can be upgraded to Tech2 and can also assist other factories.",
   ['ueb0103'] = "<LOC Unit_Description_0081> The Tech 1 Naval Factory creates basic naval vessels.  Frigates have both anti-ship and anti-air capabilities.  Submarines can sneak around underwater and deliver devastating damage with their torpedoes, but they are expensive and relatively easy to kill.  This factory is upgradeable and can also assist other factories.",
   
   
   ['ueb0201'] = "<LOC Unit_Description_0082> This factory upgrade provides more powerful and varied Tech 2 land units.  These units will comprise your main fighting force for most of the game.  The factory is upgradeable to Tech 3, and can assist other factories.",
   ['ueb0202'] = "<LOC Unit_Description_0083> This factory constructs more powerful Tech 2 aircraft and provides many options for attacking land and sea units.  The factory is upgradeable to Tech 3 and can assist other factories.",
   ['ueb0203'] = "<LOC Unit_Description_0084> This factory produces much stronger ships capable of doing serious combat on the open seas.  Destroyers and Cruisers are designed to protect fleets of ships from naval and air threats.  The factory is upgradeable to Tech 3 and can assist other factories.",
 
 
   ['ueb0301'] = "<LOC Unit_Description_0085> This factory constructs very powerful or specialized land units capable of extraordinary feats of combat.  The factory can assist other factories.",
   ['ueb0302'] = "<LOC Unit_Description_0086> This factory produces advanced aircraft which are able to provide your war effort with a significant edge using the varied planes available here.  The factory is able to assist other factories.",
   ['ueb0303'] = "<LOC Unit_Description_0087> This factory provides access to some of the most powerful naval vessels ever, capable of massive destruction.  The ships are expensive, but their performance will not disappoint.  The factory can assist other factories.",
   
   
   #Buildings
   
   ['ueb1101'] = "<LOC Unit_Description_0088> Generates Energy. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.",
   ['ueb1102'] = "<LOC Unit_Description_0089> Generates Energy. Must be constructed on hydrocarbon deposits. Structures constructed next to Hydrocarbon Powerplants will have a reduction in their energy requirements.  Constructing Energy Storage next to Powerplants will increase Energy output.",
   ['ueb1105'] = "<LOC Unit_Description_0090> Stores Energy. Building these next to power generators will increase their yield.  It is CRITICAL to build these units if you want to increase your total energy storage capacity.  The late game will be very difficult without the buffer they create.  NOTE:  The destruction of a storage unit will result in the loss of the actual portion of your total energy which it held.  The destruction of energy storage units also produces a large explosion that damages nearby units.",
   ['ueb1103'] = "<LOC Unit_Description_0091> Extracts Mass. Must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.  Tech 1 Extractors are very cheap to build, but they are also very fragile and easy to destroy by even the lightest combat units.",
   ['ueb1104'] = "<LOC Unit_Description_0092> Creates Mass from Energy. Requires large amounts of Energy. Construct next to other structures for adjacency bonus.  Fully automatic operation - will not use more energy than you can spare.  Mass fabricators will automatically shut down when attacked and double their damage resistance.  If they are destroyed before they are able to shut down, they will explode and damage nearby units.  Other mass fabricators nearby will explode instantly, causing a chain reaction.",
   ['ueb1106'] = "<LOC Unit_Description_0093> Stores Mass. Building these next to mass extractors or fabricators will increase their yield.  It is CRITICAL to build these units if you want to increase your total mass storage capacity.  The late game will be very difficult without the buffer they create.  NOTE:  The destruction of a storage unit will result in the loss of the actual portion of your total mass which it held.",
   ['ueb1201'] = "<LOC Unit_Description_0094> This Advanced Power Reactor generates as much energy as 25 Tech 1 Power Generators. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.  If destroyed, this unit will explode and cause considerable damage to nearby units.",
   ['ueb1202'] = "<LOC Unit_Description_0095> This Advanced Mass Extractor produces twice as much mass as Tech 1 Extractors.  It is also many times more durable than T1 Extractors and can often survive raids by the time your defenses have repelled the attackers.  They must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.",
   ['ueb1301'] = "<LOC Unit_Description_0096> This Extreme-Tech Power Reactor generates tremendous amounts of energy.  As much as 5 Tech 2 Advanced Power Generators. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.  If destroyed, this unit will explode and cause very high damage to nearby units.  Tech 3 Power Generators can be built underwater but produce less power.",
   ['ueb1302'] = "<LOC Unit_Description_0097> This Extreme-Tech Mass Extractor produces twice as much mass as the Tech 2 Advanced Extractors.  It is also more durable than T2 Extractors and can often survive quite a beating as long as you repel the invaders quickly.  They must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.  Tech 3 Extractors have the ability to continue to tap deeper into the planet's surface to access more usable mass.  Over time, this Extractor will produce up to 5 times as much mass as when it was first constructed.",
   ['ueb1303'] = "<LOC Unit_Description_0098> Tech 3 Mass Fabricators create Mass from very large amounts of Energy.Construct next to other structures for adjacency bonus.  Fully automatic operation - will not use more energy than you can spare.  Mass fabricators will automatically shut down when attacked and double their damage resistance.  If they are destroyed before they are able to shut down, they will explode and seriously damage or destroy nearby units.  Tech 3 Fabricators can be built underwater but produce mass less efficiently.",
   ['ueb3101'] = "<LOC Unit_Description_0099> Radar system with minimal range. This unit is quick and cheap to construct and operate.  It provides critical intelligence information of the surrounding area.  Without radar coverage, your knowledge of the locations of enemy units is limited to the sight range of your units.  Radar will detect units which touch the air, such as ships land units and aircraft.  Radar will not detect submerged units.  In some cases units will not show up on radar if they are stealth or under a stealth field.",
   ['ueb3102'] = "<LOC Unit_Description_0100> Sonar system with minimal range. This unit provides essential intelligence information for naval logistics.  Without sonar coverage, you will not be able to detect enemy underwater units.  Sonar will detect units which touch the water, such as ships, submarines, amphibious units that are underwater, or structures built on or under the water.  Sonar will not detect units on land, or hovering over the water or flying through the air.  In some cases units will not show up on sonar if they are sonar-stealth or are covered by a sonar-stealth field.",
   ['ueb3201'] = "<LOC Unit_Description_0101> Radar system with medium range. This unit is more expensive and tougher than Tech 1 radar but the area it covers is much greater.  Likewise, the energy cost to operate this unit is much more than that of Tech 1.  It provides critical intelligence information of the surrounding area.  Without radar coverage, your knowledge of the locations of enemy units is limited to the sight range of your units.  Radar will detect units which touch the air, such as ships land units and aircraft.  Radar will not detect submerged units.  In some cases units will not show up on radar if they are stealth or under a stealth field.",
   ['ueb3202'] = "<LOC Unit_Description_0102> Sonar system with moderate range. Detects and tracks naval units.",
   ['ueb4203'] = "<LOC Unit_Description_0103> Generates stealth field. Hides units and structures within its operational range. Countered by optical and Omni sensors.",
   ['ues0305'] = "<LOC Unit_Description_0104> Sonar system with exceptional range. Detects and tracks naval units. Armed with a bottom-mounted torpedo turret.",
   ['ueb3104'] = "<LOC Unit_Description_0105> High-end intelligence system. Provides maximum radar and sonar coverage. Counters enemy intelligence systems.",
   
   
   
   
   
   
   
   ##CYBRAN UNITS
   
   
   #Commanders  
   
   ['url0001'] = "<LOC Unit_Description_0304> Houses Commander. Combination barracks and command center. Contains all the blueprints necessary to build a basic army from scratch.",   
   ['url0001-ras'] = "<LOC Unit_Description_0106> Increases ACU's resource generation.",
   ['url0001-pcg'] = "<LOC Unit_Description_0107> Cloaks the ACU from optical sensors. Requires considerable Energy to run.  The Ninja Stealth & Cloak upgrade vastly improves efficiency providing energy-free stealth and cloak and much faster recloaking after firing weapons.",
   ['url0001-psg'] = "<LOC Unit_Description_0108> Hides the ACU and nearby units from radar. Requires Energy to run.",
   ['url0001-pqt'] = "<LOC Unit_Description_0109> Upgrades teleportation function of the ACU so it can initiate a jump with just one Network Beacon in range, and the recharge is faster and energy cost much less than without the upgrade.",
   ['url0001-aes'] = "<LOC Unit_Description_0110> A series of Engineering upgrades which increases the construction rate of the ACU as well as enabling it to construct higher tech units.  ACU armor is increased for the Tech2 and Tech3 upgrades.",
   ['url0001-ees'] = "<LOC Unit_Description_0111> A series of Engineering upgrades which increases the construction rate of the ACU as well as enabling it to construct higher tech units.  ACU armor is increased for the Tech2 and Tech3 upgrades.",
   ['url0001-acu'] = "<LOC Unit_Description_0112> Advanced nano-repair systems capable of regenerating armor even while taking damage.  Soaks up damage on the fly like a sponge rather than the standard delay after taking damage.",
   ['url0001-mlg'] = "<LOC Unit_Description_0113> A series of weapon upgrades which enables a high damage Microwave Beam Generator that can be upgraded for range.",
   ['url0001-ntt'] = "<LOC Unit_Description_0114> Equips the ACU with a standard Cybran Nanite torpedo tube and sonar.",
  
    
     
    ##Support Commanders 
   
   ['url0301'] = "<LOC Unit_Description_0115> A multi-purpose construction, repair, capture and reclamation unit. Equivalent to a Tech 3 Engineer.",
   ['url0301-cfs'] = "<LOC Unit_Description_0116> Cloaks the SACU from optical sensors. Can be detected by Omni Sensors. Requires Energy to run.",
   ['url0301-emp'] = "<LOC Unit_Description_0117>EMP burst effectively disables enemy units for a few seconds.",
   ['url0301-fc'] = "<LOC Unit_Description_0118> Greatly enhances the pulse laser's cohesion, almost doubling its damage output.",
   ['url0301-nms'] = "<LOC Unit_Description_0119>Adds AA defensive system.",
   ['url0301-ras'] = "<LOC Unit_Description_0120> Increases SACU's resource generation.",
   ['url0301-ses'] = "<LOC Unit_Description_0121>Speeds up all engineering-related functions.",
   ['url0301-srs'] = "<LOC Unit_Description_0122> Greatly increases the speed at which the SACU repairs itself.",
   ['url0301-sfs'] = "<LOC Unit_Description_0123> Hides the SACU from radar. Requires Energy to run.",
  
   
   ##Land units
   ['url0101'] = "<LOC Unit_Description_0124>This unit is your primary means of mobile intelligence gathering in the early game.  It has greater vision than other land units and also is equipped with a short range radar.  It is very fast and agile, as well as inexpensive.  The scout is extremely fragile and will not survive being shot at.  Scouts have a special 'deployment' mode which immobilizes the unit and greatly extends its radar range but costs significant energy to operate.  This scout also can hide from radar detection by engaging stealth technology and can also cloak to appear invisible to the enemy.  Operating in cloaked mode consumes energy.  Cybran scouts are also rigged to interfere with enemy radar units themselves.  If an enemy unit is near a Cybran scout, its radar is reduced to 25% its usual range.",
   ['url0106'] = "<LOC Unit_Description_0125>This unit is designed to operate in swarms.  It is very fragile for a combat unit, and carries a short range light weapon.  Its strength is in its low cost and high speed.  No other land unit is capable of projecting firepower as quickly as the Light Assault Bot.  It is a very good raiding unit but will not survive an assault against hardened locations with rapid fire weapons such as Point Defenses.  Use this unit in large numbers to overwhelm heavy slow firing units, or undefended targets such as outlying mass extractors and expanding engineers.",
   ['url0107'] = "<LOC Unit_Description_0126>The Mantis is a very quick and agile medium assault unit that fires a lightning-fast, extremely accurate laser weapon.  Although the unit is not as tough or as damaging as other factions' medium assault units, the mantis operates very well in large numbers, overwhelming the enemy with lots of rapid moving targets while constantly applying damage with very little waste shots and almost no overkill.  The Mantis is the perfect swarm unit that is most effective while in motion on flat ground.", 
   ['url0103'] = "<LOC Unit_Description_0127>Light Mobile Artillery is useful for adding damage to your early mobile army, as well as for taking out structures such as Point Defense.  It fires high in the air and rains down damage from above the target unit.  As such, it is particularly vulnerable to regular 'tanks' or anything that is quick and has a rapid fire direct weapon.  The artillery weapon does land accurately but takes a while to get there, so individual mobile units will probably escape but when firing into a crowd of Tech 1 units, the Mobile Artillery is likely to kill something.  This unit fires a single high damage projectile that has a very brief area stun effect that may slow down the return assault from the target units if there are enough Mobile Artillery firing at the same time.",
   ['url0104'] = "<LOC Unit_Description_0128>Light Mobile Anti-Air vehicles are useful to bring with your army to protect them from aerial assault.  While they don't contribute much to a land assault, it can be devastating to be caught without AA cover when a squad of bombers or gunships comes to attack your mobile forces.  The AA is fairly effective although not as effective as stationary AA turrets.  This unit is also capable of manually switching to anti-ground missiles which attack land units instead of air units.",
   ['url0202'] = "<LOC Unit_Description_0129>The Rhino is a heavy stealth tank capable of causing great amounts of frustration in your opponent due to its ability to fire on enemy targets from ouside their visual range and remain off radar.  Its weapon is a rapid fire beam laser which tracks very fast, so this tank is capable of accurately responding to very rapid moving units.  Because the weapon is a beam and not a projectile, it is prone to getting blocked by bumps in the terrain.  Try and fire from  high ground if you can.  Stealth is off by default and must be activated.  It uses energy when active.",
   ['url0203'] = "<LOC Unit_Description_0130>Submersible, amphibious tank. Armed with a heavy bolter and torpedo launcher.",
   ['url0111'] = "<LOC Unit_Description_0131>Mobile missile launcher. Designed to attack at long range.",
   ['url0205'] = "<LOC Unit_Description_0132> Mobile AA unit. Armed with flak artillery.",
   ['url0306'] = "<LOC Unit_Description_0133>Mobile stealth generator.",
   ['url0303'] = "<LOC Unit_Description_0134>The Loyalist is one of Cybran's most versatile units.  It carries a long range sniper style gun and a short range rapid fire melee weapon.  Loyalists also carry short range targeting radar, stealth, cloaking and a tactical missile defense which sends incoming missiles back to the source.  Each ability consumes a different amount of energy, and can be independently switched on or off depending on what you want to do with the unit.  When in motion, the sniper gun becomes inaccurate.  When enemy units get too close, cloaking will not function.",
   ['url0304'] = "<LOC Unit_Description_0135> Slow-moving heavy artillery. Must be stationary to fire.",
   ['url0402'] = "<LOC Unit_Description_0136>Experimental bot. Consumes massive amounts of Energy. Its main laser sweeps across any enemy to its front. Also armed with AA defenses.",
   ['url0401'] = "<LOC Unit_Description_0137>Experimental, rapid-fire artillery. Consumes massive amounts of Energy with each shot. Must be stationary to fire. ",
   ['xrl0302'] = "<LOC Unit_Description_0317> Mobile bomb. Must be moved into position and manually detonated.",
   ['xrl0305'] = "<LOC Unit_Description_0318>The Brick is Cybran's toughest mobile unit before experimentals.  It is an essential part of the late game, and can often crash through heavily defended areas.  It is very slow and has a short range rapid fire high damage weapon, and is ideal for dispatching large numbers of smaller units.  The Brick has a special ability which allows it to 'dig in' the ground in a defensive stance.  When dug in, it takes damage from enemy units at half the normal rate, effectively doubling its armor.  Digging in turns the Brick into a very effective defensive turret.  The process of digging in takes 20 seconds during which the unit cannot fire.  Digging out takes 3 seconds.  Bricks are also amphibious and carry torpedoes for defense while underwater.",
   ['xrl0403'] = "<LOC Unit_Description_0319> Massive experimental bot. Equipped with Dual-Proton cannons, AA defenses, torpedo launchers and anti-torpedo flares. Drops 'eggs' that can be transformed into a single unit.",
   
   
   ##Crab Egg Units
   
   ['xrl0002'] = "<LOC Unit_Description_0447> Tech 3 amphibious construction, repair, capture and reclamation unit.",
   ['xrl0003'] = "<LOC Unit_Description_0448> Amphibious assault bot. Capable of attacking land and naval units.",
   ['xrl0004'] = "<LOC Unit_Description_0449> Mobile AA unit. Armed with flak artillery.",
   ['xrl0005'] = "<LOC Unit_Description_0450> Slow-moving heavy artillery. Must be stationary to fire.",
   
   ##Air units
   ['ura0101'] = "<LOC Unit_Description_0138> Air scouts provide fast critical intel on enemy positions.  They fly very quickly, are difficult to hit with anti-air, have greater vision range than most other aircraft, and are dirt cheap and quick to build.",
   ['ura0102'] = "<LOC Unit_Description_0139> Interceptors are the standard anti-air solution for Tech 1.  They are fast and extremely maneuverable aircraft equipped with a medium damage AA gun.  Their greatest advantage is to be able to operate away from your established base to react to sudden air threats before ground based AA can be deployed.",
   ['ura0103'] = "<LOC Unit_Description_0140> Bombers are aircraft capable of attacking ground units with significant damage in a fly-by fashion.  They circle around after an attack run to reload and drop more bombs on the target.  Bombers are fairly slow and easy to hit with AA, but their sudden front-end damage usually means at least one payload is released before the aircraft is lost, especially when operating in large numbers.",
   ['ura0107'] = "<LOC Unit_Description_0141> Light transport aircraft are able to move ground forces from one area to another quickly and if necessary, automatically via Ferry Routes.  They are vulnerable to anti-air fire but in areas where AA is low, it is possible to project your ground forces around the map very efficiently, bypassing terrain obstacles.  Transports fly slower when weighted down by attached units.",
   ['ura0203'] = "<LOC Unit_Description_0142>Fast-attack copter. Armed with twin rocket tubes.",
   ['ura0204'] = "<LOC Unit_Description_0143> Mid-level torpedo bomber.",
   ['ura0302'] = "<LOC Unit_Description_0144> Extremely fast spy plane with free, permanent stealth.",
   ['ura0104'] = "<LOC Unit_Description_0145> Mid-level air transport. Armed with an auto-cannon and AA defense system. Can carry up to 10 units.",
   ['ura0303'] = "<LOC Unit_Description_0146> High-end air fighter. Designed to engage air units of any type.",
   ['ura0304'] = "<LOC Unit_Description_0147> High-end strategic bomber. Armed with a Proton bomb, stealth field generator and AA flak cannon.",
   ['ura0401'] = "<LOC Unit_Description_0148>Experimental gunship. Delivers extreme firepower via rocket racks, electron bolters and missile system.",
   ['xra0105'] = "<LOC Unit_Description_0320>The Cybran light gunship hovers over land targets, firing continuously at them.  This aircraft is not very durable and does not have a very high damage weapon, but its speed and ease of deployment, as well as the fact that AA is needed to destroy them, is an advantage that can be exploited only by Cybran in the early game.",
   ['xra0305'] = "<LOC Unit_Description_0321> Heavy gunship armed with Nanite missiles, Disintegration Pulse lasers and a radar jamming suite. Offers direct fire support.",
   
   
   ##Naval Units
   ['urs0103'] = "<LOC Unit_Description_0149>This frigate is a lightweight ship useful in attacking outposts along the shore as well as defending your naval fleet from hovercraft or other frigates.  It carries a short ranged radar which helps your destroyers fire at maximum range, and helps locate enemy fleets.  The ship also provides very important anti-air defense to protect your fleet from torpedo bombers and to keep the skies above clear of enemy aircraft.",
   ['urs0203'] = "<LOC Unit_Description_0150>Attack submarine. Armed with a Nanite torpedo launcher and a deck-mounted heavy laser.",
   ['urs0202'] = "<LOC Unit_Description_0151>Anti-air naval vessel. Equipped with AA turrets and short-range rocket platform.",
   ['urs0201'] = "<LOC Unit_Description_0152>Amphibious destroyer. Armed with a single Dual-Proton cannon, AA auto-cannon and torpedo tubes.",
   ['urs0302'] = "<LOC Unit_Description_0153>Direct fire and bombardment naval vessel. Armed with six Proton cannons, dual AA auto-cannons, anti-missile turrets and torpedo tubes.",
   ['urs0303'] = "<LOC Unit_Description_0154>Aircraft carrier. Can store, transport and repair aircraft. Armed with light AA auto-cannons and an anti-missile turret.",
   ['urs0304'] = "<LOC Unit_Description_0155>Strategic missile submarine. Armed with a strategic missile launcher, tactical missile launcher and torpedo tubes.",
   ['xrs0204'] = "<LOC Unit_Description_0322> Mid-level anti-naval unit. Equipped with mobile sonar stealth. Effective against surface vessels and submerged units.", 
   ['xrs0205'] = "<LOC Unit_Description_0323> Unarmed counter-intelligence vessel. Equipped with stealth field that counters enemy sonar and radar.",

   
  
   ['urb2101'] = "<LOC Unit_Description_0176> 1st Tier Point Defense turrets are built on land to hold ground and provide short ranged protection to areas from incoming enemy units.  Note: they will not attack aircraft or underwater units.",
   ['urb2104'] = "<LOC Unit_Description_0177> 1st Tier Anti-Air turrets are built on land to protect nearby units from aerial attacks.  They are inexpensive, short ranged, and lightly armored defensive structures that should be built frequently to provide AA coverage for anywhere you need to keep enemy aircraft away.",
   ['urb2109'] = "<LOC Unit_Description_0178> 1st Tier Torpedo Launchers are built in the water to protect against enemy naval vessels.  Both ships and submarines are attacked by this high damage weapon.  Torpedo launchers require additional sonar coverage in order to target enemy units at their full range.",
   ['urb5101'] = "<LOC Unit_Description_0179> Walls are built to block movement of all but the largest of land units.  They are also built to protect units from direct enemy fire.  Artillery and other weapons coming in from a high angle will not be blocked.",
   ['urb2301'] = "<LOC Unit_Description_0180> 2nd Tier Point Defense turrets are built on land to hold ground and provide long ranged protection to areas from incoming enemy units.  The Cybran Cerberus is a dead-accurate beam turret that fires a triple-beam rapid fire pulse laser.  Unlevel terrain may block this weapon from hitting its target.  Note: T2PD will not attack aircraft or underwater units.",
   ['urb2204'] = "<LOC Unit_Description_0181> Flak turrets are designed specifically to engage large numbers of aircraft grouped together in clusters.  The weapon has a wide blast area with good damage, but the projectile itself is fairly slow so it is not likely to catch fast moving planes flying by.  Gunships and bombers are particularly vulnerable to Flak.  Build multiple Flak turrets to protect a larger base from mass aerial assault.",
   ['urb4201'] = "<LOC Unit_Description_0182> Tactical missile defense. Protection is limited to the structure's operational area.",
   ['urb2205'] = "<LOC Unit_Description_0183> 2nd Tier Torpedo Launchers are built in the water to protect against heavy naval vessels.  Both ships and submarines are attacked by this very high damage weapon which is capable of sinking even capital ships.  Torpedo launchers require additional sonar coverage in order to target enemy units at their full range.",
   ['urb4202'] = "<LOC Unit_Description_0184> Generates a protective shield around units and structures within its radius. Shield can be upgraded four times.",
   ['urb4202-ch'] = "<LOC Unit_Description_0306>Upgrade increases shield's size, strength and operating costs.",
   ['xrb0104'] = "<LOC Unit_Description_0451> Automatically repairs, reclaims, assists or captures any unit within its operational radius.",
   ['xrb0204'] = "<LOC Unit_Description_0324> Automatically repairs, reclaims, assists or captures any unit within its operational radius.",
   ['xrb0304'] = "<LOC Unit_Description_0452> Automatically repairs, reclaims, assists or captures any unit within its operational radius.",
   ['xrb2308'] = "<LOC Unit_Description_0325> Submerged torpedo launcher. Capable of destroying the largest of enemy vessels.",
   ['xrb3301'] = "<LOC Unit_Description_0326> Offers complete line-of-sight within its operational area.",
   
   ['urb2304'] = "<LOC Unit_Description_0185> High-end anti-air tower. Designed to engage all levels of aircraft.",
   ['urb4302'] = "<LOC Unit_Description_0186> Strategic missile defense. Protection is limited to the structure's operational area.",
   ['urb2303'] = "<LOC Unit_Description_0187> The Cybran Gunther is a long range stationary artillery turret which fires accurate molecular resonance shells that do a decent amount of damage.  While not as damaging as the UEF artillery, its accuracy allows the Gunther to take out specific targets quicker than other artillery.  Consequently, it has more trouble breaking through shields.  The Gunther is an excellent addition to the Cybran's micromanaged attack plan and provides a long range solution to standoff situations.",
   ['urb2108'] = "<LOC Unit_Description_0188> Tactical missile launchers are long range, accurate weapons that do not track moving targets.  Each missile must be constructed by the launcher, which consumes mass and energy during the construction.  Missiles can be constructed automatically or manually as needed.  Missiles must be launched manually, as this unit will not automatically fire on anything.   Since the missile takes some time to reach its destination, mobile units may have moved by the time of impact, so structures are more ideal targets.  Cybran TMLs are the only ones with a wide area blast upon impact, but their damage is the lowest of all the factions.  They are useful for attacking clusters of small and medium units.  Cybran TMLs also have the unique ability to split into multiple smaller missiles when hit by Missile Defense.  The smaller missiles have greatly reduced damage and blast area.",
   ['urb5202'] = "<LOC Unit_Description_0189> Refuels and repairs most aircraft. Air patrols will automatically use facility.  Build this unit to extend the usefulness of your air force.  Planes run out of fuel and get damaged.  This structure will automatically maintain them.  When making an attack with bombers or gunships far from your base, you should built an Air Staging Facility somewhere near your destination so they can be fueled up and ready to attack.",
   ['urb2302'] = "<LOC Unit_Description_0190> Heavy artillery with excellent range, accuracy and damage potential.",
   ['urb2305'] = "<LOC Unit_Description_0191> Strategic missile launcher. Constructing missiles costs resources. Must be ordered to construct missiles.",
   ['urb0304'] = "<LOC Unit_Description_0192> Highly advanced factory utilizing quantum energy to accelerate unit construction to many times faster than normal.  This factory can create large armies by itself very quickly.",
   
   ##engineers
   ['url0105'] = "<LOC Unit_Description_0193> This engineer unit can be used to build Tech 1 structures such as defenses, factories and resource generators.  The engineer is capable of assisting other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   ['url0208'] = "<LOC Unit_Description_0194> This engineer unit can be used to build Tech 1 or Tech 2 structures such as defenses, factories and resource generators.  The engineer is capable of assisting other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   ['url0309'] = "<LOC Unit_Description_0195> This engineer unit can be used to build Tech 1, Tech 2 or Tech 3  structures such as defenses, factories and resource generators. It is also capable of constructing Experimental units.  The engineer can assist other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   
   ##Factories etc
   ['urb0101'] = "<LOC Unit_Description_0196> The Land Factory creates the initial mobile units necessary to wage a war. These units are quick and cheap to construct, and add rapid response to your army.  This factory is outfitted to create only land based units. The factory can be upgraded to Tech2 and can also assist other factories.",
   ['urb0102'] = "<LOC Unit_Description_0197> The Air Factory creates the initial air units necessary to wage a war. These units are basic scouting, anti-air, bombing and transport aircraft, and should be staples of your attack strategy throughout the game.  This factory is outfitted to create only aircraft. The factory can be upgraded to Tech2 and can also assist other factories.",
   ['urb0103'] = "<LOC Unit_Description_0198> The Tech 1 Naval Factory creates basic naval vessels.  Frigates have both anti-ship and anti-air capabilities.  Submarines can sneak around underwater and deliver devastating damage with their torpedoes, but they are expensive and relatively easy to kill.  This factory is upgradeable and can also assist other factories.",
   ['urb0201'] = "<LOC Unit_Description_0199> This factory upgrade provides more powerful and varied Tech 2 land units.  These units will comprise your main fighting force for most of the game.  The factory is upgradeable to Tech 3, and can assist other factories.",
   ['urb0202'] = "<LOC Unit_Description_0200> This factory constructs more powerful Tech 2 aircraft and provides many options for attacking land and sea units.  The factory is upgradeable to Tech 3 and can assist other factories.",
   ['urb0203'] = "<LOC Unit_Description_0201> This factory produces much stronger ships capable of doing serious combat on the open seas.  Destroyers and Cruisers are designed to protect fleets of ships from naval and air threats.  The factory is upgradeable to Tech 3 and can assist other factories.",
   ['urb0301'] = "<LOC Unit_Description_0202> This factory constructs very powerful or specialized land units capable of extraordinary feats of combat.  The factory can assist other factories.",
   ['urb0302'] = "<LOC Unit_Description_0203> This factory produces advanced aircraft which are able to provide your war effort with a significant edge using the varied planes available here.  The factory is able to assist other factories.",
   ['urb0303'] = "<LOC Unit_Description_0204> This factory provides access to some of the most powerful naval vessels ever, capable of massive destruction.  The ships are expensive, but their performance will not disappoint.  The factory can assist other factories.",
   
   
   ##Base stuff
   ['urb1101'] = "<LOC Unit_Description_0205> Generates Energy. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.",
   ['urb1102'] = "<LOC Unit_Description_0206> Generates Energy. Must be constructed on hydrocarbon deposits. Structures constructed next to Hydrocarbon Powerplants will have a reduction in their energy requirements.  Constructing Energy Storage next to Powerplants will increase Energy output.",
   ['urb1103'] = "<LOC Unit_Description_0207> Extracts Mass. Must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.  Tech 1 Extractors are very cheap to build, but they are also very fragile and easy to destroy by even the lightest combat units.",
   ['urb1104'] = "<LOC Unit_Description_0208> Creates Mass from Energy. Requires large amounts of Energy. Construct next to other structures for adjacency bonus.  Fully automatic operation - will not use more energy than you can spare.  Mass fabricators will automatically shut down when attacked and double their damage resistance.  If they are destroyed before they are able to shut down, they will explode and damage nearby units.  Other mass fabricators nearby will explode instantly, causing a chain reaction.",
   ['urb1106'] = "<LOC Unit_Description_0209> Stores Mass. Building these next to mass extractors or fabricators will increase their yield.  It is CRITICAL to build these units if you want to increase your total mass storage capacity.  The late game will be very difficult without the buffer they create.  NOTE:  The destruction of a storage unit will result in the loss of the actual portion of your total mass which it held.",
   ['urb1105'] = "<LOC Unit_Description_0210> Stores Energy. Building these next to power generators will increase their yield.  It is CRITICAL to build these units if you want to increase your total energy storage capacity.  The late game will be very difficult without the buffer they create.  NOTE:  The destruction of a storage unit will result in the loss of the actual portion of your total energy which it held.  The destruction of energy storage units also produces a large explosion that damages nearby units.",
   ['urb1201'] = "<LOC Unit_Description_0211> This Advanced Power Reactor generates as much energy as 25 Tech 1 Power Generators. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.  If destroyed, this unit will explode and cause considerable damage to nearby units.",
   ['urb1202'] = "<LOC Unit_Description_0212> This Advanced Mass Extractor produces twice as much mass as Tech 1 Extractors.  It is also many times more durable than T1 Extractors and can often survive raids by the time your defenses have repelled the attackers.  They must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.",
   ['urb1301'] = "<LOC Unit_Description_0213> This Extreme-Tech Power Reactor generates tremendous amounts of energy.  As much as 5 Tech 2 Advanced Power Generators. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.  If destroyed, this unit will explode and cause very high damage to nearby units.  Tech 3 Power Generators can be built underwater but produce less power.",
   ['urb1302'] = "<LOC Unit_Description_0214> This Extreme-Tech Mass Extractor produces twice as much mass as the Tech 2 Advanced Extractors.  It is also more durable than T2 Extractors and can often survive quite a beating as long as you repel the invaders quickly.  They must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.  Tech 3 Extractors have the ability to continue to tap deeper into the planet's surface to access more usable mass.  Over time, this Extractor will produce up to 5 times as much mass as when it was first constructed.",
   ['urb1303'] = "<LOC Unit_Description_0215> Tech 3 Mass Fabricators create Mass from very large amounts of Energy.Construct next to other structures for adjacency bonus.  Fully automatic operation - will not use more energy than you can spare.  Mass fabricators will automatically shut down when attacked and double their damage resistance.  If they are destroyed before they are able to shut down, they will explode and seriously damage or destroy nearby units.  Tech 3 Fabricators can be built underwater but produce mass less efficiently.",
   ['urb3101'] = "<LOC Unit_Description_0216> Radar system with minimal range. This unit is quick and cheap to construct and operate.  It provides critical intelligence information of the surrounding area.  Without radar coverage, your knowledge of the locations of enemy units is limited to the sight range of your units.  Radar will detect units which touch the air, such as ships land units and aircraft.  Radar will not detect submerged units.  In some cases units will not show up on radar if they are stealth or under a stealth field.",
   ['urb3102'] = "<LOC Unit_Description_0217> Sonar system with minimal range. This unit provides essential intelligence information for naval logistics.  Without sonar coverage, you will not be able to detect enemy underwater units.  Sonar will detect units which touch the water, such as ships, submarines, amphibious units that are underwater, or structures built on or under the water.  Sonar will not detect units on land, or hovering over the water or flying through the air.  In some cases units will not show up on sonar if they are sonar-stealth or are covered by a sonar-stealth field.",
   ['urb3201'] = "<LOC Unit_Description_0218> Radar system with medium range. This unit is more expensive and tougher than Tech 1 radar but the area it covers is much greater.  Likewise, the energy cost to operate this unit is much more than that of Tech 1.  It provides critical intelligence information of the surrounding area.  Without radar coverage, your knowledge of the locations of enemy units is limited to the sight range of your units.  Radar will detect units which touch the air, such as ships land units and aircraft.  Radar will not detect submerged units.  In some cases units will not show up on radar if they are stealth or under a stealth field.",
   ['urb3202'] = "<LOC Unit_Description_0219> Sonar system with moderate range. Detects and tracks naval units.",
   ['urb4203'] = "<LOC Unit_Description_0220> Generates stealth field. Hides units and structures within its operational range. Countered by optical and Omni sensors.",
   ['urs0305'] = "<LOC Unit_Description_0221> Sonar system with exceptional range. Detects and tracks naval units. Equipped with a stealth field generator.",
   ['urb3104'] = "<LOC Unit_Description_0222> High-end intelligence system. Provides maximum radar and sonar coverage. Counters enemy intelligence systems.",

   
   
   
   
   
   ##AEON UNITS
   
   
   #Commanders  
   
   ['ual0001'] = "<LOC Unit_Description_0305> Houses Commander. Combination barracks and command center. Contains all the blueprints necessary to build a basic army from scratch.",
   ['ual0001-aes'] = "<LOC Unit_Description_0156> A series of Engineering upgrades which increases the construction rate of the ACU as well as enabling it to construct higher tech units.  ACU armor is increased for the Tech2 and Tech3 upgrades.",
   ['ual0001-cd'] = "<LOC Unit_Description_0157> Creates a Quantum Stasis Field around the ACU. Immobilizes enemy units within its radius. Uses Energy to create stasus pulses.",
   ['ual0001-cba'] = "<LOC Unit_Description_0158>Enhances the ACU's Quantum Disrupter beam. Nearly doubles its range.",
   ['ual0001-ess'] = "<LOC Unit_Description_0159> Greatly expands the range of the standard onboard ACU sensor systems.",
   ['ual0001-ees'] = "<LOC Unit_Description_0160> A series of Engineering upgrades which increases the construction rate of the ACU as well as enabling it to construct higher tech units.  ACU armor is increased for the Tech2 and Tech3 upgrades.",
   ['ual0001-hsa'] = "<LOC Unit_Description_0161> Resonates the Quantum Disruptor frequencies to vastly increase damage.",
   ['ual0001-ras'] = "<LOC Unit_Description_0162> Increases ACU's resource generation.",
   ['ual0001-eras'] = "<LOC Unit_Description_0163> Requires Resource Allocation System. Further increases ACU's resource generation.",
   ['ual0001-ptsg'] = "<LOC Unit_Description_0164> A series of Shield upgrades which generates protective energy barriers around the ACU.  Each upgrade generates a significantly stronger shield than the last, but also requires more energy to operate.",
   ['ual0001-phtsg'] = "<LOC Unit_Description_0165> A series of Shield upgrades which generates protective energy barriers around the ACU.  Each upgrade generates a significantly stronger shield than the last, but also requires more energy to operate.",
   ['ual0001-pqt'] = "<LOC Unit_Description_0166> A pair of upgrades that enables greatly improved teleporting of the ACU.  With the first upgrade, the ACU can initiate a jump with just one Network Beacon in range, and the recharge is faster and energy cost much less than without the upgrade.  With the White Rabbit upgrade, the ACU can initiate short range jumps with no nodes at all for no energy cost, and can use the network for no energy as well.  Consecutive jumps may be done with no delay unless several are done in rapid succession, at which point a cool down period is required to jump again.",
  
   
   
   ## Support Commanders 
   
   ['ual0301'] = "<LOC Unit_Description_0167> A multi-purpose construction, repair, capture and reclamation unit. Equivalent to a Tech 3 Engineer.",
   ['ual0301-efm'] = "<LOC Unit_Description_0168>Speeds up all engineering-related functions.",
   ['ual0301-ras'] = "<LOC Unit_Description_0169> Increases SACU's resource generation.",
   ['ual0301-sp'] = "<LOC Unit_Description_0170>SACU is sacrificed and its Mass is added to a structure. This destroys the SACU.",
   ['ual0301-tsg'] = "<LOC Unit_Description_0171> Creates a protective shield around the SACU.",
   ['ual0301-htsg'] = "<LOC Unit_Description_0172> Upgrades the SACU's protective shield. Requires Energy to run.",
   ['ual0301-ss'] = "<LOC Unit_Description_0173> Equips the standard SACU's Reacton cannon with area-of-effect damage.",
   ['ual0301-sic'] = "<LOC Unit_Description_0174> Greatly increases the speed at which the SACU repairs itself.",
   ['ual0301-pqt'] = "<LOC Unit_Description_0175> Adds teleporter. Requires considerable Energy to activate.",
   
   
   ##Land
   ['ual0101'] = "<LOC Unit_Description_0223> This unit is your primary means of mobile intelligence gathering in the early game.  It has greater vision than other land units and also is equipped with a short range radar.  It is very fast and agile, as well as inexpensive.  The scout is extremely fragile and will not survive being shot at.  Scouts have a special 'deployment' mode which immobilizes the unit and greatly extends its radar range but costs significant energy to operate.  This scout carries a light weapon for use against enemy scouts or other weak unarmed units such as mass extractors or radar towers.  It is also able to hover over land or water, giving the Aeon unique advantage in the area of scouting islands across water barriers early in the game.",
   ['ual0106'] = "<LOC Unit_Description_0224> This unit is designed to operate in swarms.  It is very fragile for a combat unit, and carries a short range light weapon.  Its strength is in its low cost and high speed.  No other land unit is capable of projecting firepower as quickly as the Light Assault Bot.  It is a very good raiding unit but will not survive an assault against hardened locations with rapid fire weapons such as Point Defenses.  Use this unit in large numbers to overwhelm heavy slow firing units, or undefended targets such as outlying mass extractors and expanding engineers.",
   ['ual0201'] = "<LOC Unit_Description_0225> The Aurora is a medium assault tank capable of hovering over land or water.  Its weapon is longer range and higher damage than other medium assault units, but misses moving targets more often, and the tank itself has much less armor.  Auroras in a row can put serious firepower onto incoming units before they can reach effective range.  This unit is best used in the cover of radar to take advantage of its weapon range.",
   ['ual0103'] = "<LOC Unit_Description_0226> Light Mobile Artillery is useful for adding damage to your early mobile army, as well as for taking out structures such as Point Defense.  It fires high in the air and rains down damage from above the target unit.  As such, it is particularly vulnerable to regular 'tanks' or anything that is quick and has a rapid fire direct weapon.  The artillery weapon does land accurately but takes a while to get there, so individual mobile units will probably escape but when firing into a crowd of Tech 1 units, the Mobile Artillery is likely to kill something.  This unit fires four shots into the air quickly and then has a lengthy reload time.",
   ['ual0104'] = "<LOC Unit_Description_0227> Light Mobile Anti-Air vehicles are useful to bring with your army to protect them from aerial assault.  While they don't contribute directly to a land assault, it can be devastating to be caught without AA cover when a squad of bombers or gunships comes to attack your mobile forces.  The AA is fairly effective although not as effective as stationary AA turrets.",
   ['ual0202'] = "<LOC Unit_Description_0228>The Obsidian is Aeon's mainstay heavy tank.  It fires a quantum energy pulse which has a good sized blast area when it strikes.  Obsidians have personal shields which consume energy when active and switch off if you run out of energy, so its best to make sure your energy reserves are sufficient when using these in combat.  Obsidians also have a short range teleport device which allows them to ambush enemy units or to retreat across difficult terrain if under heavy fire.  Jumps must be at least one minute apart, and the distance you can jump is shown by a purple ring around the unit.",
   ['ual0111'] = "<LOC Unit_Description_0229> Mobile tactical missile launcher. Missile has medium range and inflicts light damage.",
   ['ual0205'] = "<LOC Unit_Description_0230> Mobile AA unit. Armed with a temporal AA Fizz launcher.",
   ['ual0307'] = "<LOC Unit_Description_0231> Mobile shield generator.",
   ['ual0303'] = "<LOC Unit_Description_0232>The Harbinger is Aeon's tactical situation expert. It is fast, agile, packs a good punch and can regenerate its armor quickly when not in battle.  The armor is light, but its mobility is extremely high. Harbingers have an on-board short range teleport which allows them to jump away if overwhelmed, or get past defense perimeters, walls, mountains, etc.  The weapon is high damage with a respectable reload speed providing Aeon with very diverse offensive strength.  Harbingers also have the ability to reclaim battlefield wreckage for mass and make minor field repairs to other units.",
   ['ual0304'] = "<LOC Unit_Description_0233> Slow-moving heavy artillery. Must be stationary to fire.",
   ['ual0401'] = "<LOC Unit_Description_0234>Sacred assault bot. Incinerates enemy units and structures with Phason laser. Also equipped with tractor beam. Pulls in and crushes mobile enemy units.",
   ['xal0203'] = "<LOC Unit_Description_0327> Fast, lightly armored tank. Armed with dual, rapid-fire autoguns.",
   ['xal0305'] = "<LOC Unit_Description_0328> Fast-moving sniper bot. Designed to strike high-value targets from a distance.", 

   
   ##Air
   ['uaa0101'] = "<LOC Unit_Description_0235> Air scouts provide fast critical intel on enemy positions.  They fly very quickly, are difficult to hit with anti-air, have greater vision range than most other aircraft, and are dirt cheap and quick to build.",
   ['uaa0102'] = "<LOC Unit_Description_0236> Interceptors are the standard anti-air solution for Tech 1.  They are fast and extremely maneuverable aircraft equipped with a medium damage AA gun.  Their greatest advantage is to be able to operate away from your established base to react to sudden air threats before ground based AA can be deployed.",
   ['uaa0103'] = "<LOC Unit_Description_0237> Bombers are aircraft capable of attacking ground units with significant damage in a fly-by fashion.  They circle around after an attack run to reload and drop more bombs on the target.  Bombers are fairly slow and easy to hit with AA, but their sudden front-end damage usually means at least one payload is released before the aircraft is lost, especially when operating in large numbers.",
   ['uaa0107'] = "<LOC Unit_Description_0238> Light transport aircraft are able to move ground forces from one area to another quickly and if necessary, automatically via Ferry Routes.  They are vulnerable to anti-air fire but in areas where AA is low, it is possible to project your ground forces around the map very efficiently, bypassing terrain obstacles.  Transports fly slower when weighted down by attached units.",
   ['uaa0203'] = "<LOC Unit_Description_0239> Armored gunship. Quad-barreled light laser mounted on its underside.",
   ['uaa0204'] = "<LOC Unit_Description_0240> Torpedo bomber. Armed a payload of Harmonic depth charges.",
   ['uaa0302'] = "<LOC Unit_Description_0241> Extremely fast spy plane. Equipped with mid-level radar system.",
   ['uaa0104'] = "<LOC Unit_Description_0242> Mid-level air transport. Armed with sonic pulse batteries. Can carry up to 12 units.",
   ['uaa0303'] = "<LOC Unit_Description_0243> High-end air fighter. Designed to engage air units of any type.",
   ['uaa0304'] = "<LOC Unit_Description_0244> High-end strategic bomber. Armed with a Quark bomb and decoy flares.",
   ['uaa0310'] = "<LOC Unit_Description_0245> Flying fortress. Armed with Quantum beam generator, AA systems and depth charges. Can store, transport and repair aircraft.",
   ['xaa0202'] = "<LOC Unit_Description_0329> Mid-level air fighter.  Excellent AA capabilities. Effective against enemy gunships and bombers.",
   ['xaa0305'] = "<LOC Unit_Description_0330> Heavily armored gunship. Armed with quad-light laser and Zealot missiles.",
   ['xaa0306'] = "<LOC Unit_Description_0331> Torpedo bomber. Designed to engage high-level naval units.",
  
   
   ##Naval
   ['uas0103'] = "<LOC Unit_Description_0246> This frigate is a lightweight ship useful in attacking outposts along the shore as well as defending your naval fleet from hovercraft or other frigates.  It carries a short ranged radar which helps your destroyers fire at maximum range, and helps locate enemy fleets.  This frigate is equipped with anti-torpedo defenses.",
   ['uas0203'] = "<LOC Unit_Description_0247> Low-end attack submarine.",
   ['uas0102'] = "<LOC Unit_Description_0248> This is a fast, agile ship that provides convenient AA capabilities to the Aeon Navy.  It is relatively lightly armored and can only target aircraft, but it is inexpensive and easy to deploy.",
   ['uas0202'] = "<LOC Unit_Description_0249> Mid-level anti-aircraft naval vessel. Armed with two AA missile launchers, dual-barreled Quantum cannon and tactical missile flares.", 
   ['uas0201'] = "<LOC Unit_Description_0250> Sub-killer. Equipped with an Oblivion cannon, torpedo tubes, Harmonic depth charges and anti-torpedo charges.",
   ['uas0302'] = "<LOC Unit_Description_0251> High-end anti-naval vessel. Equipped with three Oblivion cannons and anti-missile flares.",
   ['uas0303'] = "<LOC Unit_Description_0252> Aircraft carrier. Can store, transport and repair aircraft. Armed with surface-to-air missile launchers.",
   ['uas0304'] = "<LOC Unit_Description_0253> Strategic missile submarine. Armed with Serpentine tactical missiles and a strategic missile launcher.",
   ['uas0401'] = "<LOC Unit_Description_0254> Submersible battleship. Armed with heavy torpedo launchers and a single Oblivion cannon. Can construct light support naval units.",
   ['xas0204'] = "<LOC Unit_Description_0332> Submerged anti-naval unit. Effective against both surface vessels and submerged units.",
   ['xas0306'] = "<LOC Unit_Description_0333> High-end missile ship. Armed with two racks of highly accurate Serpentine tactical missiles.",
   
   ##Buildings
   ['uab2101'] = "<LOC Unit_Description_0255> 1st Tier Point Defense turrets are built on land to hold ground and provide short ranged protection to areas from incoming enemy units.  Note: they will not attack aircraft or underwater units.",
   ['uab2104'] = "<LOC Unit_Description_0256> 1st Tier Anti-Air turrets are built on land to protect nearby units from aerial attacks.  They are inexpensive, short ranged, and lightly armored defensive structures that should be built frequently to provide AA coverage for anywhere you need to keep enemy aircraft away.",
   ['uab2109'] = "<LOC Unit_Description_0257> 1st Tier Torpedo Launchers are built in the water to protect against enemy naval vessels.  Both ships and submarines are attacked by this high damage weapon.  Torpedo launchers require additional sonar coverage in order to target enemy units at their full range.",
   ['uab5101'] = "<LOC Unit_Description_0258> Walls are built to block movement of all but the largest of land units.  They are also built to protect units from direct enemy fire.  Artillery and other weapons coming in from a high angle will not be blocked.",
   ['uab2301'] = "<LOC Unit_Description_0259> 2nd Tier Point Defense turrets are built on land to hold ground and provide long ranged protection to areas from incoming enemy units.  The Aeon Oblivion fires a very powerful arced shot at a slow velocity that may miss small fast units.  It also has a slow reload time.  However the damage per shot is high enough to make this unit a very serious threat to heavy units.  Note: T2PD will not attack aircraft or underwater units.",
   ['uab2204'] = "<LOC Unit_Description_0260> Flak turrets are designed specifically to engage large numbers of aircraft grouped together in clusters.  The weapon has a wide blast area with good damage, but the projectile itself is fairly slow so it is not likely to catch fast moving planes flying by.  Gunships and bombers are particularly vulnerable to Flak.  Build multiple Flak turrets to protect a larger base from mass aerial assault.",
   ['uab4201'] = "<LOC Unit_Description_0261> Tactical missile defense. Protection is limited to the structure's operational area.",
   ['uab2205'] = "<LOC Unit_Description_0262> 2nd Tier Torpedo Launchers are built in the water to protect against heavy naval vessels.  Both ships and submarines are attacked by this very high damage weapon which is capable of sinking even capital ships.  Torpedo launchers require additional sonar coverage in order to target enemy units at their full range.",
   ['uab4202'] = "<LOC Unit_Description_0263> Generates a protective shield around units and structures within its radius.",
   ['uab2304'] = "<LOC Unit_Description_0264> High-end anti-air tower. Designed to engage all levels of aircraft.",
   ['uab4302'] = "<LOC Unit_Description_0265> Strategic missile defense. Protection is limited to the structure's operational area.",
   ['uab4301'] = "<LOC Unit_Description_0266> Generates a protective shield around units and structures within its radius.",
   ['uab2303'] = "<LOC Unit_Description_0267> The Aeon Miasma is a long range stationary artillery turret which launches a shell that explodes into a corrosive gas cloud which damages units near the impact zone for an extended period of time.  The weapon is highly inaccurate, but produces dangerous areas around the target area in a wide pattern.  Multiple Miasmas are some of the most irritating things to have firing on someone's base.",
   ['uab2108'] = "<LOC Unit_Description_0268> Tactical Missile Launchers are long range, accurate weapons that do not track moving targets.  Each missile must be constructed by the launcher, which consumes mass and energy during the construction.  Missiles can be constructed automatically or manually as needed.  Missiles must be launched manually, as this unit will not automatically fire on anything.   Since the missile takes some time to reach its destination, mobile units may have moved by the time of impact, so structures are more ideal targets.  Aeon TMLs have the highest damage of all the factions but the shortest range.",
   ['uab5202'] = "<LOC Unit_Description_0269> Refuels and repairs most aircraft. Air patrols will automatically use facility.  Build this unit to extend the usefulness of your air force.  Planes run out of fuel and get damaged.  This structure will automatically maintain them.  When making an attack with bombers or gunships far from your base, you should built an Air Staging Facility somewhere near your destination so they can be fueled up and ready to attack.",
   ['uab2302'] = "<LOC Unit_Description_0270> Heavy artillery with excellent range, accuracy and damage potential. ",
   ['uab2305'] = "<LOC Unit_Description_0271> Strategic missile launcher. Constructing missiles costs resources. Must be ordered to construct missiles.",
   ['uab0304'] = "<LOC Unit_Description_0272> Highly advanced factory utilizing quantum energy to accelerate unit construction to many times faster than normal.  This factory can create large armies by itself very quickly.",
   ['xab2307'] = "<LOC Unit_Description_0334> Rapid-fire artillery system. Provides indirect fire support. Ordinance inflicts light damage across a large area.",
   ['xab3301'] = "<LOC Unit_Description_0335> Offers line-of-sight to a fixed location on the battlefield.",

   
   ##Engineers
   ['ual0105'] = "<LOC Unit_Description_0273> This engineer unit can be used to build Tech 1 structures such as defenses, factories and resource generators.  The engineer is capable of assisting other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   ['ual0208'] = "<LOC Unit_Description_0274> This engineer unit can be used to build Tech 1 or Tech 2 structures such as defenses, factories and resource generators.  The engineer is capable of assisting other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   ['ual0309'] = "<LOC Unit_Description_0275> This engineer unit can be used to build Tech 1, Tech 2 or Tech 3  structures such as defenses, factories and resource generators. It is also capable of constructing Experimental units.  The engineer can assist other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
   
   
   
   ['uab0101'] = "<LOC Unit_Description_0276> The Land Factory creates the initial mobile units necessary to wage a war. These units are quick and cheap to construct, and add rapid response to your army.  This factory is outfitted to create only land based units. The factory can be upgraded to Tech2 and can also assist other factories.",
   ['uab0102'] = "<LOC Unit_Description_0277> The Air Factory creates the initial air units necessary to wage a war. These units are basic scouting, anti-air, bombing and transport aircraft, and should be staples of your attack strategy throughout the game.  This factory is outfitted to create only aircraft. The factory can be upgraded to Tech2 and can also assist other factories.",
   ['uab0103'] = "<LOC Unit_Description_0278> The Tech 1 Naval Factory creates basic naval vessels.  Frigates have good anti-ship and bombardment capabilities.  Submarines can sneak around underwater and deliver devastating damage with their torpedoes, but they are expensive and relatively easy to kill.  Anti-Air boats are very cheap and provide mobile AA support.  This factory is upgradeable and can also assist other factories.",
   ['uab0201'] = "<LOC Unit_Description_0279> This factory upgrade provides more powerful and varied Tech 2 land units.  These units will comprise your main fighting force for most of the game.  The factory is upgradeable to Tech 3, and can assist other factories.",
   ['uab0202'] = "<LOC Unit_Description_0280> This factory constructs more powerful Tech 2 aircraft and provides many options for attacking land and sea units.  The factory is upgradeable to Tech 3 and can assist other factories.",
   ['uab0203'] = "<LOC Unit_Description_0281> This factory produces much stronger ships capable of doing serious combat on the open seas.  Destroyers and Cruisers are designed to protect fleets of ships from naval and air threats.  The factory is upgradeable to Tech 3 and can assist other factories.",
   ['uab0301'] = "<LOC Unit_Description_0282> This factory constructs very powerful or specialized land units capable of extraordinary feats of combat.  The factory can assist other factories.",
   ['uab0302'] = "<LOC Unit_Description_0283> This factory produces advanced aircraft which are able to provide your war effort with a significant edge using the varied planes available here.  The factory is able to assist other factories.",
   ['uab0303'] = "<LOC Unit_Description_0284> This factory provides access to some of the most powerful naval vessels ever, capable of massive destruction.  The ships are expensive, but their performance will not disappoint.  The factory can assist other factories.",
   ['uab1101'] = "<LOC Unit_Description_0285> Generates Energy. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.",
   ['uab1102'] = "<LOC Unit_Description_0286> Generates Energy. Must be constructed on hydrocarbon deposits. Structures constructed next to Hydrocarbon Powerplants will have a reduction in their energy requirements.  Constructing Energy Storage next to Powerplants will increase Energy output.",
   ['uab1105'] = "<LOC Unit_Description_0287> Stores Energy. Building these next to power generators will increase their yield.  It is CRITICAL to build these units if you want to increase your total energy storage capacity.  The late game will be very difficult without the buffer they create.  NOTE:  The destruction of a storage unit will result in the loss of the actual portion of your total energy which it held.  The destruction of energy storage units also produces a large explosion that damages nearby units.",
   ['uab1103'] = "<LOC Unit_Description_0288> Extracts Mass. Must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.  Tech 1 Extractors are very cheap to build, but they are also very fragile and easy to destroy by even the lightest combat units.",
   ['uab1104'] = "<LOC Unit_Description_0289> Creates Mass from Energy. Requires large amounts of Energy. Construct next to other structures for adjacency bonus.  Fully automatic operation - will not use more energy than you can spare.  Mass fabricators will automatically shut down when attacked and double their damage resistance.  If they are destroyed before they are able to shut down, they will explode and damage nearby units.  Other mass fabricators nearby will explode instantly, causing a chain reaction.",
   ['uab1106'] = "<LOC Unit_Description_0290> Stores Mass. Building these next to mass extractors or fabricators will increase their yield.  It is CRITICAL to build these units if you want to increase your total mass storage capacity.  The late game will be very difficult without the buffer they create.  NOTE:  The destruction of a storage unit will result in the loss of the actual portion of your total mass which it held.",
   ['uab1201'] = "<LOC Unit_Description_0291> This Advanced Power Reactor generates as much energy as 25 Tech 1 Power Generators. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.  If destroyed, this unit will explode and cause considerable damage to nearby units.",
   ['uab1202'] = "<LOC Unit_Description_0292> This Advanced Mass Extractor produces twice as much mass as Tech 1 Extractors.  It is also many times more durable than T1 Extractors and can often survive raids by the time your defenses have repelled the attackers.  They must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.",
   ['uab1301'] = "<LOC Unit_Description_0293> This Extreme-Tech Power Reactor generates tremendous amounts of energy.  As much as 5 Tech 2 Advanced Power Generators. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.  If destroyed, this unit will explode and cause very high damage to nearby units.  Tech 3 Power Generators can be built underwater but produce less power.",
   ['uab1302'] = "<LOC Unit_Description_0294> This Extreme-Tech Mass Extractor produces twice as much mass as the Tech 2 Advanced Extractors.  It is also more durable than T2 Extractors and can often survive quite a beating as long as you repel the invaders quickly.  They must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.  Tech 3 Extractors have the ability to continue to tap deeper into the planet's surface to access more usable mass.  Over time, this Extractor will produce up to 5 times as much mass as when it was first constructed.",
   ['uab1303'] = "<LOC Unit_Description_0295> Tech 3 Mass Fabricators create Mass from very large amounts of Energy.Construct next to other structures for adjacency bonus.  Fully automatic operation - will not use more energy than you can spare.  Mass fabricators will automatically shut down when attacked and double their damage resistance.  If they are destroyed before they are able to shut down, they will explode and seriously damage or destroy nearby units.  Tech 3 Fabricators can be built underwater but produce mass less efficiently.",
   ['uab3101'] = "<LOC Unit_Description_0296> Radar system with minimal range. This unit is quick and cheap to construct and operate.  It provides critical intelligence information of the surrounding area.  Without radar coverage, your knowledge of the locations of enemy units is limited to the sight range of your units.  Radar will detect units which touch the air, such as ships land units and aircraft.  Radar will not detect submerged units.  In some cases units will not show up on radar if they are stealth or under a stealth field.",
   ['uab3102'] = "<LOC Unit_Description_0297> Sonar system with minimal range. This unit provides essential intelligence information for naval logistics.  Without sonar coverage, you will not be able to detect enemy underwater units.  Sonar will detect units which touch the water, such as ships, submarines, amphibious units that are underwater, or structures built on or under the water.  Sonar will not detect units on land, or hovering over the water or flying through the air.  In some cases units will not show up on sonar if they are sonar-stealth or are covered by a sonar-stealth field.", 
   ['uab3201'] = "<LOC Unit_Description_0298> Radar system with medium range. This unit is more expensive and tougher than Tech 1 radar but the area it covers is much greater.  Likewise, the energy cost to operate this unit is much more than that of Tech 1.  It provides critical intelligence information of the surrounding area.  Without radar coverage, your knowledge of the locations of enemy units is limited to the sight range of your units.  Radar will detect units which touch the air, such as ships land units and aircraft.  Radar will not detect submerged units.  In some cases units will not show up on radar if they are stealth or under a stealth field.",
   ['uab3202'] = "<LOC Unit_Description_0299> Sonar system with moderate range. Detects and tracks naval units.",
   ['uab4203'] = "<LOC Unit_Description_0300> Generates stealth field. Hides units and structures within its operational range. Countered by optical and Omni sensors.",
   ['uas0305'] = "<LOC Unit_Description_0301> Sonar system with exceptional range. Detects and tracks naval units. Equipped with anti-torpedo launchers.",
   ['uab3104'] = "<LOC Unit_Description_0302> High-end intelligence system. Provides maximum radar and sonar coverage. Counters enemy intelligence systems.", 
   ['xab1401'] = "<LOC Unit_Description_0336> Generates nearly limitless Energy and Mass. Toggles output to match production demands. If destroyed, resulting explosion is equivalent to the detonation of a strategic weapon.",


##Seraphim Units

    ##Seraphim Commanders
    ['xsl0001'] = "<LOC Unit_Description_0420> Houses Commander. Combination barracks and command center. Contains all the blueprints necessary to build a basic army from scratch.",
    ['xsl0001-pqt'] = "<LOC Unit_Description_0421> Adds teleporter. Requires considerable Energy to activate.",
    ['xsl0001-dss'] = "<LOC Unit_Description_0422> A pair of upgrades that increases the speed at which the ACU repairs itself. Also increases hit points.",
    ['xsl0001-adss'] = "<LOC Unit_Description_0454> The Nosferatu Damage Transfer System repairs the ACU by forming linked portal pairs between the ACU and nearby units (within main-weapon range).  Damage inflicted on the ACU is retroactively applied to the nearby units, thus reversing the effect on the ACU.  WARNING: This effect is indiscriminate.  It will apply damage to friendly as well as enemy units.",
    ['xsl0001-ras'] = "<LOC Unit_Description_0424> Increases ACU's resource generation.",
    ['xsl0001-eras'] = "<LOC Unit_Description_0425> Requires Resource Allocation System. Further increases ACU's resource generation.",
    ['xsl0001-aes'] = "<LOC Unit_Description_0426> Expands the number of available schematics and increases the ACU's build speed and maximum health.",
    ['xsl0001-ees'] = "<LOC Unit_Description_0427> Replaces the Tech 2 Engineering Suite. Expands the number of available schematics and further increases the ACU's build speed and maximum health.",
    ['xsl0001-cba'] = "<LOC Unit_Description_0428> Increases the area-of-effect of the ACU's primary weapon, allowing to handle large numbers of small units.",
    ['xsl0001-nrf'] = "<LOC Unit_Description_0429> Automatically speeds up the repair speed of nearby units.",
    ['xsl0001-anrf'] = "<LOC Unit_Description_0430> Further speeds up the repair speed of nearby units. Increases maximum health of nearby units.",
    ['xsl0001-hsa'] = "<LOC Unit_Description_0431> A series of upgrades which increases the charge of chronotron particles in the main weapon resulting in a simultaneously faster rate of fire, higher damage and longer range.",
    ['xsl0001-tml'] = "<LOC Unit_Description_0432> Mounts a tactical cruise missile launcher onto the back of the ACU.",
    
    ['xsl0301'] = "<LOC Unit_Description_0433> A multi-purpose construction, repair, capture and reclamation unit. Equivalent to a Tech 3 Engineer.",
    ['xsl0301-tmu'] = "<LOC Unit_Description_0434> Mounts a tactical cruise missile launcher onto the back of the SACU.",
    ['xsl0301-dss'] = "<LOC Unit_Description_0435> Increases the speed at which the SACU repairs itself. Also increases hit points.",
    ['xsl0301-sre'] = "<LOC Unit_Description_0436> Greatly expands the range of the standard onboard SACU sensor systems, including Omni.",
    ['xsl0301-efm'] = "<LOC Unit_Description_0437> Speeds up all engineering-related functions.",
    ['xsl0301-sp'] = "<LOC Unit_Description_0438> Adds a personal shield generator to the SACU.",
    ['xsl0301-pqt'] = "<LOC Unit_Description_0439> Adds teleporter. Requires considerable Energy to activate.",
    ['xsl0301-oc'] = "<LOC Unit_Description_0440> Single shot destroys most units. Consumes large amount of Energy.",


    ##Land Units
    ['xsl0101'] = "<LOC Unit_Description_0337> This unit is a combination Scout and Light Attack Bot.  It is your primary means of mobile intelligence gathering in the early game.  It has greater vision than other land units and also is equipped with a short range radar.  It is very fast and agile, as well as inexpensive.  Scouts have a special 'deployment' mode which immobilizes the unit and greatly extends its radar range but costs significant energy to operate.  This scout is much more durable than other scouts and has a weapon damaging enough to be considered a serious threat.  When idle, the scout blends in with its environment and cannot be seen visually or on radar.",
    ['xsl0201'] = "<LOC Unit_Description_0338> The <name> is an agile medium assault tank with an accurate weapon that has decent damage.  Its durability isn't particularly impressive but the tank's regenerative combat armor makes it a tough adversary especially in hit-and-fade attacks where it is given a chance to get out of enemy firepower for a bit to fully recover.",
    ['xsl0103'] = "<LOC Unit_Description_0339> Light Mobile Artillery is useful for adding damage to your early mobile army, as well as for taking out structures such as Point Defense.  It fires high in the air and rains down damage from above the target unit.  As such, it is particularly vulnerable to regular 'tanks' or anything that is quick and has a rapid fire direct weapon.  The artillery weapon does land accurately but takes a while to get there, so individual mobile units will probably escape but when firing into a crowd of Tech 1 units, the Mobile Artillery is likely to kill something.  This unit fires a single shot that splits into several smaller pieces just before impact to spread out its damage.  The unit is also capable of hovering over land and water, giving it a significant advantage over other factions.",
    ['xsl0104'] = "<LOC Unit_Description_0340> Light Mobile Anti-Air vehicles are useful to bring with your army to protect them from aerial assault.  While they don't contribute directly to a land assault, it can be devastating to be caught without AA cover when a squad of bombers or gunships comes to attack your mobile forces.  The AA is fairly effective although not as effective as stationary AA turrets.",
    ['xsl0202'] = "<LOC Unit_Description_0341> Lightly armored assault bot. Effective against equivalent enemy units.",
    ['xsl0203'] = "<LOC Unit_Description_0342> Amphibious tank. Armed with a single cannon.",
    ['xsl0111'] = "<LOC Unit_Description_0343> Relatively fast-moving mobile tactical missile launcher.",
    ['xsl0205'] = "<LOC Unit_Description_0344> Mobile AA unit that uses flak artillery.",
    ['xsl0303'] = "<LOC Unit_Description_0345> Amphibious siege tank that is armed with a slow-firing Thau cannon. Also armed with bolters and a single torpedo launcher.",
    ['xsl0305'] = "<LOC Unit_Description_0346> Lightly armored, fast sniper bot. Armed with an extremely powerful energy rifle.",
    ['xsl0304'] = "<LOC Unit_Description_0347> Mobile heavy artillery. Ordinance inflicts moderate damage upon impact.",
    ['xsl0307'] = "<LOC Unit_Description_0348> High-end mobile shield generator.",
    ['xsl0401'] = "<LOC Unit_Description_0349> A two-stage weapon. In its initial form, the ChickenBot fires an extremely destructive Phason laser. When the primary unit is destroyed, it unleashes a ferocious Quantum energy being.",
    
    ##Air Units
    ['xsa0101'] = "<LOC Unit_Description_0350> Air scouts provide fast critical intel on enemy positions.  They fly very quickly, are difficult to hit with anti-air, have greater vision range than most other aircraft, and are dirt cheap and quick to build.",
    ['xsa0102'] = "<LOC Unit_Description_0351> Interceptors are the standard anti-air solution for Tech 1.  They are fast and extremely maneuverable aircraft equipped with a medium damage AA gun.  Their greatest advantage is to be able to operate away from your established base to react to sudden air threats before ground based AA can be deployed.",
    ['xsa0103'] = "<LOC Unit_Description_0352> Bombers are aircraft capable of attacking ground units with significant damage in a fly-by fashion.  They circle around after an attack run to reload and drop more bombs on the target.  Bombers are fairly slow and easy to hit with AA, but their sudden front-end damage usually means at least one payload is released before the aircraft is lost, especially when operating in large numbers.",
    ['xsa0107'] = "<LOC Unit_Description_0353> Light transport aircraft are able to move ground forces from one area to another quickly and if necessary, automatically via Ferry Routes.  They are vulnerable to anti-air fire but in areas where AA is low, it is possible to project your ground forces around the map very efficiently, bypassing terrain obstacles.  Transports fly slower when weighted down by attached units.",
    ['xsa0202'] = "<LOC Unit_Description_0354> Combined fighter/bomber. Armed with two AA weapons and a tactical bomb.",
    ['xsa0203'] = "<LOC Unit_Description_0355> Heavily armored gunship. Armed with four heavy Phasic autoguns.",
    ['xsa0204'] = "<LOC Unit_Description_0356> Torpedo bomber. Fires three heavy Cavitation torpedoes at its target.",
    ['xsa0104'] = "<LOC Unit_Description_0357> Mid-level air transport. Can carry up to 16 units.",
    ['xsa0302'] = "<LOC Unit_Description_0358> Fast, agile spy plane. Equipped with on-board radar and sonar.",
    ['xsa0303'] = "<LOC Unit_Description_0359> High-end air fighter. Designed to engage air units of any type.",
    ['xsa0304'] = "<LOC Unit_Description_0360> High-end strategic bomber. Inflicts excellent single target and area-of-effect damage.",
    ['xsa0402'] = "<LOC Unit_Description_0361> Massive bomber capable of devastating entire bases. Armed with an experimental strategic bomb and three AA auto-cannons.",
    
    ##Naval Units
    ['xss0103'] = "<LOC Unit_Description_0362> This frigate is a lightweight ship useful in attacking outposts along the shore as well as defending your naval fleet from hovercraft or other frigates.  It carries a short ranged radar which helps your destroyers fire at maximum range, and helps locate enemy fleets.  The ship also provides very important anti-air defense to protect your fleet from torpedo bombers and to keep the skies above clear of enemy aircraft.  As with all Seraphim ships, this frigate is capable of submerging underwater to escape incoming fire and regenerate its armor.",
    ['xss0203'] = "<LOC Unit_Description_0363> Low-end attack submarine.",
    ['xss0202'] = "<LOC Unit_Description_0364> Mid-level naval unit. Equipped with AA artillery cannons, tactical missile launcher and tactical missile defense.",
    ['xss0201'] = "<LOC Unit_Description_0365> Dedicated sub-killer. Equipped with a torpedo launcher, anti-vessel beam weapons and torpedo defense.",
    ['xss0302'] = "<LOC Unit_Description_0366> High-end naval vessel. Armed with three heavy Quarnon cannons, two AA cannons, two tactical missile defenses and a strategic missile launcher.",
    ['xss0304'] = "<LOC Unit_Description_0367> Dedicated sub-killer. Armed with three torpedo tubes, pair of torpedo defense systems and AA auto-cannon for use when surfaced.",
    ['xss0303'] = "<LOC Unit_Description_0368> Can store, transport and repair aircraft. Armed with two pairs of AA auto-cannons.",
    
    ##Base Structures
    ['xsb2101'] = "<LOC Unit_Description_0369> 1st Tier Point Defense turrets are built on land to hold ground and provide short ranged protection to areas from incoming enemy units.  Note: they will not attack aircraft or underwater units.",
    ['xsb2104'] = "<LOC Unit_Description_0370> 1st Tier Anti-Air turrets are built on land to protect nearby units from aerial attacks.  They are inexpensive, short ranged, and lightly armored defensive structures that should be built frequently to provide AA coverage for anywhere you need to keep enemy aircraft away.",
    ['xsb2109'] = "<LOC Unit_Description_0371> 1st Tier Torpedo Launchers are built in the water to protect against enemy naval vessels.  Both ships and submarines are attacked by this high damage weapon.  Torpedo launchers require additional sonar coverage in order to target enemy units at their full range.",
    ['xsb5101'] = "<LOC Unit_Description_0372> Walls are built to block movement of all but the largest of land units.  They are also built to protect units from direct enemy fire.  Artillery and other weapons coming in from a high angle will not be blocked.",
    ['xsb2301'] = "<LOC Unit_Description_0373> Heavily armored, defensive tower that attacks land- and sea-based units. Does not engage aircraft or submerged units.",
    ['xsb2204'] = "<LOC Unit_Description_0374> Flak turrets are designed specifically to engage large numbers of aircraft grouped together in clusters.  The weapon has a wide blast area with good damage, but the projectile itself is fairly slow so it is not likely to catch fast moving planes flying by.  Gunships and bombers are particularly vulnerable to Flak.  Build multiple Flak turrets to protect a larger base from mass aerial assault.",
    ['xsb4201'] = "<LOC Unit_Description_0375> Tactical missile defense. Protection is limited to the structure's operational area.",
    ['xsb4202'] = "<LOC Unit_Description_0376> Generates a protective shield around units and structures within its radius.",
    ['xsb2205'] = "<LOC Unit_Description_0377> 2nd Tier Torpedo Launchers are built in the water to protect against heavy naval vessels.  Both ships and submarines are attacked by this very high damage weapon which is capable of sinking even capital ships.  Torpedo launchers require additional sonar coverage in order to target enemy units at their full range.  The Seraphim T2 Torpedo Launcher is also equipped with anti-torpedo defenses.",
    ['xsb2304'] = "<LOC Unit_Description_0378> High-end anti-air tower. Designed to engage all levels of aircraft.",
    ['xsb4302'] = "<LOC Unit_Description_0379> Strategic missile defense. Protection is limited to the structure's operational area.",
    ['xsb4301'] = "<LOC Unit_Description_0380> Generates a heavy shield around units and structures within its radius.",
    ['xsb2303'] = "<LOC Unit_Description_0381> The Seraphim <name> is a long range stationary artillery turret which fires dead-accurate quantum energy bolts.  The damage isn't nearly that of other factions' artillery turrets but it has the best accuracy for any artillery unit in the game, and is very useful for selectively eliminating specific targets.  This unit has the toughest time breaking through enemy shields.",
    ['xsb2108'] = "<LOC Unit_Description_0382> Tactical missile launchers are long range, accurate weapons that do not track moving targets.  Each missile must be constructed by the launcher, which consumes mass and energy during the construction.  Missiles can be constructed automatically or manually as needed.  Missiles must be launched manually, as this unit will not automatically fire on anything.   Since the missile takes some time to reach its destination, mobile units may have moved by the time of impact, so structures are more ideal targets.  Seraphim TMLs are unique in that they cannot be intercepted by Tactical Missile Defenses, but their damage is much lower than other factions except Cybran.  They have no area effect either and must attack units one at a time.",
    ['xsb5202'] = "<LOC Unit_Description_0383> Refuels and repairs most aircraft. Air patrols will automatically use facility.  Build this unit to extend the usefulness of your air force.  Planes run out of fuel and get damaged.  This structure will automatically maintain them.  When making an attack with bombers or gunships far from your base, you should built an Air Staging Facility somewhere near your destination so they can be fueled up and ready to attack.",
    ['xsb2302'] = "<LOC Unit_Description_0384> Stationary heavy artillery with excellent range, accuracy and damage potential. Requires resources to fire.",
    ['xsb2305'] = "<LOC Unit_Description_0385> Strategic missile launcher. Constructing missiles costs resources.",
    ['xsb2401'] = "<LOC Unit_Description_0386> Strategic missile launcher. Fired missile is so large, two strategic missile defenses are required to neutralize it.",
    
    ##Engineer/Factories
    ['xsl0105'] = "<LOC Unit_Description_0387> This engineer unit can be used to build Tech 1 structures such as defenses, factories and resource generators.  The engineer is capable of assisting other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
    ['xsl0208'] = "<LOC Unit_Description_0388> This engineer unit can be used to build Tech 1 or Tech 2 structures such as defenses, factories and resource generators.  The engineer is capable of assisting other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
    ['xsl0309'] = "<LOC Unit_Description_0389> This engineer unit can be used to build Tech 1, Tech 2 or Tech 3  structures such as defenses, factories and resource generators. It is also capable of constructing Experimental units.  The engineer can assist other engineers or factories on their build projects.  It can also reclaim wrecks, rocks, trees and even live enemy units for mass.  It can repair damaged units as well.  Engineers are also able to capture enemy units and make them your own.",
    
    ['xsb0101'] = "<LOC Unit_Description_0390> The Land Factory creates the initial mobile units necessary to wage a war. These units are quick and cheap to construct, and add rapid response to your army.  This factory is outfitted to create only land based units. The factory can be upgraded to Tech2 and can also assist other factories.",
    ['xsb0102'] = "<LOC Unit_Description_0391> The Air Factory creates the initial air units necessary to wage a war. These units are basic scouting, anti-air, bombing and transport aircraft, and should be staples of your attack strategy throughout the game.  This factory is outfitted to create only aircraft. The factory can be upgraded to Tech2 and can also assist other factories.",
    ['xsb0103'] = "<LOC Unit_Description_0392> The Tech 1 Naval Factory creates basic naval vessels.  Frigates have both anti-ship and anti-air capabilities.  Submarines can sneak around underwater and deliver devastating damage with their torpedoes, but they are expensive and relatively easy to kill.  This factory is upgradeable and can also assist other factories.",
    ['xsb0201'] = "<LOC Unit_Description_0393> This factory upgrade provides more powerful and varied Tech 2 land units.  These units will comprise your main fighting force for most of the game.  The factory is upgradeable to Tech 3, and can assist other factories.",
    ['xsb0202'] = "<LOC Unit_Description_0394> This factory constructs more powerful Tech 2 aircraft and provides many options for attacking land and sea units.  The factory is upgradeable to Tech 3 and can assist other factories.",
    ['xsb0203'] = "<LOC Unit_Description_0395> This factory produces much stronger ships capable of doing serious combat on the open seas.  Destroyers and Cruisers are designed to protect fleets of ships from naval and air threats.  The factory is upgradeable to Tech 3 and can assist other factories.",
    ['xsb0301'] = "<LOC Unit_Description_0396> This factory constructs very powerful or specialized land units capable of extraordinary feats of combat.  The factory can assist other factories.",
    ['xsb0302'] = "<LOC Unit_Description_0397> This factory produces advanced aircraft which are able to provide your war effort with a significant edge using the varied planes available here.  The factory is able to assist other factories.",
    ['xsb0303'] = "<LOC Unit_Description_0398> This factory provides access to some of the most powerful naval vessels ever, capable of massive destruction.  The ships are expensive, but their performance will not disappoint.  The factory can assist other factories.",
    ['xsb0304'] = "<LOC Unit_Description_0399> Highly advanced factory utilizing quantum energy to accelerate unit construction to many times faster than normal.  This factory can create large armies by itself very quickly.",
    
    ##Resource Structures
    ['xsb1101'] = "<LOC Unit_Description_0400> Generates Energy. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.",
    ['xsb1102'] = "<LOC Unit_Description_0401> Generates Energy. Must be constructed on hydrocarbon deposits. Structures constructed next to Hydrocarbon Powerplants will have a reduction in their energy requirements.  Constructing Energy Storage next to Powerplants will increase Energy output.",
    ['xsb1105'] = "<LOC Unit_Description_0402> Stores Energy. Building these next to power generators will increase their yield.  It is CRITICAL to build these units if you want to increase your total energy storage capacity.  The late game will be very difficult without the buffer they create.  NOTE:  The destruction of a storage unit will result in the loss of the actual portion of your total energy which it held.  The destruction of energy storage units also produces a large explosion that damages nearby units.",
    ['xsb1103'] = "<LOC Unit_Description_0403> Extracts Mass. Must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.  Tech 1 Extractors are very cheap to build, but they are also very fragile and easy to destroy by even the lightest combat units.",
    ['xsb1104'] = "<LOC Unit_Description_0404> Creates Mass from Energy. Requires large amounts of Energy. Construct next to other structures for adjacency bonus.  Fully automatic operation - will not use more energy than you can spare.  Mass fabricators will automatically shut down when attacked and double their damage resistance.  If they are destroyed before they are able to shut down, they will explode and damage nearby units.  Other mass fabricators nearby will explode instantly, causing a chain reaction.",
    ['xsb1106'] = "<LOC Unit_Description_0405> Stores Mass. Building these next to mass extractors or fabricators will increase their yield.  It is CRITICAL to build these units if you want to increase your total mass storage capacity.  The late game will be very difficult without the buffer they create.  NOTE:  The destruction of a storage unit will result in the loss of the actual portion of your total mass which it held.",
    ['xsb1201'] = "<LOC Unit_Description_0406> This Advanced Power Reactor generates as much energy as 25 Tech 1 Power Generators. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.  If destroyed, this unit will explode and cause considerable damage to nearby units.",
    ['xsb1202'] = "<LOC Unit_Description_0407> This Advanced Mass Extractor produces twice as much mass as Tech 1 Extractors.  It is also many times more durable than T1 Extractors and can often survive raids by the time your defenses have repelled the attackers.  They must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.",
    ['xsb1301'] = "<LOC Unit_Description_0408> This Extreme-Tech Power Reactor generates tremendous amounts of energy.  As much as 5 Tech 2 Advanced Power Generators. Construct these next to power consuming structures for an adjacency bonus that reduces their power requirements.  If destroyed, this unit will explode and cause very high damage to nearby units.  Tech 3 Power Generators can be built underwater but produce less power.",
    ['xsb1302'] = "<LOC Unit_Description_0409> This Extreme-Tech Mass Extractor produces twice as much mass as the Tech 2 Advanced Extractors.  It is also more durable than T2 Extractors and can often survive quite a beating as long as you repel the invaders quickly.  They must be constructed on Mass deposits. Structures constructed next to Extractors will have a reduction in their mass requirements.  Constructing Mass Storage next to Extractors increases Extractor yield.  Tech 3 Extractors have the ability to continue to tap deeper into the planet's surface to access more usable mass.  Over time, this Extractor will produce up to 5 times as much mass as when it was first constructed.",
    ['xsb1303'] = "<LOC Unit_Description_0410> Tech 3 Mass Fabricators create Mass from very large amounts of Energy.Construct next to other structures for adjacency bonus.  Fully automatic operation - will not use more energy than you can spare.  Mass fabricators will automatically shut down when attacked and double their damage resistance.  If they are destroyed before they are able to shut down, they will explode and seriously damage or destroy nearby units.  Tech 3 Fabricators can be built underwater but produce mass less efficiently.",
    
    ##Intelligence Structures
    ['xsb3101'] = "<LOC Unit_Description_0411> Radar system with minimal range. This unit is quick and cheap to construct and operate.  It provides critical intelligence information of the surrounding area.  Without radar coverage, your knowledge of the locations of enemy units is limited to the sight range of your units.  Radar will detect units which touch the air, such as ships land units and aircraft.  Radar will not detect submerged units.  In some cases units will not show up on radar if they are stealth or under a stealth field.",
    ['xsb3102'] = "<LOC Unit_Description_0412> Sonar system with minimal range. This unit provides essential intelligence information for naval logistics.  Without sonar coverage, you will not be able to detect enemy underwater units.  Sonar will detect units which touch the water, such as ships, submarines, amphibious units that are underwater, or structures built on or under the water.  Sonar will not detect units on land, or hovering over the water or flying through the air.  In some cases units will not show up on sonar if they are sonar-stealth or are covered by a sonar-stealth field.",
    ['xsb3202'] = "<LOC Unit_Description_0413> Sonar system with moderate range. Detects and tracks naval units.",
    ['xsb3201'] = "<LOC Unit_Description_0414> Radar system with medium range. This unit is more expensive and tougher than Tech 1 radar but the area it covers is much greater.  Likewise, the energy cost to operate this unit is much more than that of Tech 1.  It provides critical intelligence information of the surrounding area.  Without radar coverage, your knowledge of the locations of enemy units is limited to the sight range of your units.  Radar will detect units which touch the air, such as ships land units and aircraft.  Radar will not detect submerged units.  In some cases units will not show up on radar if they are stealth or under a stealth field.",
    ['xsb4203'] = "<LOC Unit_Description_0415> Generates stealth field. Hides units and structures within its operational range. Countered by optical and Omni sensors.",
    ['xsb3104'] = "<LOC Unit_Description_0416> High-end intelligence system. Provides maximum radar and sonar coverage. Counters enemy intelligence systems.",
           

   # Patch Units
   ['dea0202'] = "<LOC Unit_Description_0417> Combination fighter/bomber designed to engage both land and aerial units. Armed with linked AA railguns and heavy napalm carpet bombs.",
   ['dra0202'] = "<LOC Unit_Description_0418> Combination fighter/bomber designed to engage both land and aerial units. Armed with Nano Dart launcher and separate missile launcher.",
   ['daa0206'] = "<LOC Unit_Description_0419> The volatile and destructive nature of the Mercy's weapon system forced Aeon scientists to create a simple, expendable delivery system. As a result, the payload is attached to what is little more than a guided missile.",
   ['del0204'] = "<LOC Unit_Description_0441> Fast moving, heavily armed assault bot. Armed with both a gatling plasma cannon and a heavy fragmentation grenade launcher.",
   ['dal0310'] = "<LOC Unit_Description_0442> Mobile support unit. Designed to attack and destroy enemy shields. Weapon system is largely ineffective against enemy units.",
   ['dab2102'] = "<LOC Unit_Description_0443> Gatling-style mortar launcher that fires high-explosive ordinance with a good degree of accuracy.",
   ['drl0204'] = "<LOC Unit_Description_0444> Heavily armored rocket bot. Designed to engage and destroy heavily armored units.",
   ['drs0102'] = "<LOC Unit_Description_0445> Unarmed stealth sub designed for reconnaissance missions. Equipped with anti-torpedo flares.",
   
}
