do
local OldClass = CIFEMPFluxWarhead02
CIFEMPFluxWarhead02 = Class(OldClass) {

    EdgeDamageRatio = 0.001,

    CreateNuclearExplosion = function(self)
        # Light and Camera Shake
        CreateLightParticle(self, -1, self:GetArmy(), 200, 200, 'beam_white_01', 'ramp_red_09')
        self:ShakeCamera( 75, 3, 0, 20 )

        # Mesh effects
        self.Plumeproj = self:CreateProjectile('/effects/EMPFluxWarhead/EMPFluxWarheadEffect01_proj.bp')
        self:ForkThread(self.PlumeThread, self.Plumeproj, self.Plumeproj:GetBlueprint().Display.UniformScale)
        self:ForkThread(self.PlumeVelocityThread, self.Plumeproj )

        self.Plumeproj2 = self:CreateProjectile('/effects/EMPFluxWarhead/EMPFluxWarheadEffect02_proj.bp')
        self:ForkThread( self.PlumeThread, self.Plumeproj2, self.Plumeproj2:GetBlueprint().Display.UniformScale)
        self:ForkThread(self.PlumeVelocityThread, self.Plumeproj2 )

        self.Plumeproj3 = self:CreateProjectile('/effects/EMPFluxWarhead/EMPFluxWarheadEffect03_proj.bp')
        self:ForkThread(self.PlumeThread, self.Plumeproj3, self.Plumeproj3:GetBlueprint().Display.UniformScale)
        self:ForkThread(self.PlumeVelocityThread, self.Plumeproj3 )

        # Emitter Effects
        self:ForkThread(self.EmitterEffectsThread, self.Plumeproj)
        
        # Do Damage
        local ACUDeathNuke = false
        local ParentUnit = self:GetLauncher()
        if EntityCategoryContains(categories.COMMAND, ParentUnit) then
            if ParentUnit:IsDead() then
                ACUDeathNuke = true
            end
        end
        if ACUDeathNuke == true then
            self.EdgeDamageRatio = 0.05
            self:ForkThread(self.DoNukeDamage)
        else
            self:ForkThread(self.DoNukeDamage2)
        end
        self:ForkThread(self.ForceThread2)
        self:ForkThread(self.ForceThread)
    end,

    DoNukeDamage = function(self)
        local NukeTime = self.NukeInnerRingTotalTime
        local damage = self.NukeInnerRingDamage
        local position = self:GetPosition()
        local instigator = self:GetLauncher()
        local damageRadius = self.NukeInnerRingRadius
        if damageRadius and damage then
            local EdgeDamage = damage * self.EdgeDamageRatio
            local QuarterWay = math.ceil(damageRadius / 4)
            local EdgeFloor = math.floor(damageRadius)
            local StepCount = EdgeFloor - QuarterWay
            local DamageFalloff = (damage - EdgeDamage) / StepCount
            local StepDamage = damage
            local ThisDamageRing = QuarterWay
            DamageArea(instigator, position, ThisDamageRing, StepDamage, 'Nuke', true, false)
            for i=1,StepCount do
                WaitSeconds(NukeTime / StepCount)
                ThisDamageRing = ThisDamageRing + 1
                StepDamage = StepDamage - DamageFalloff
                DamageRing(instigator, position, ThisDamageRing - 1, ThisDamageRing, StepDamage, 'Nuke', true)
            end
        end
    end,

    DoNukeDamage2 = function(self)
        --LOG("|| DoNukeDamage2")
        local damage = self.NukeInnerRingDamage / self.NukeInnerRingTicks
        local FullDamageRadius = math.floor(damage / 150)
        --LOG("|| FullDamageRadius = " .. FullDamageRadius)
        local LinearDamageRadius = FullDamageRadius * 2
        --LOG("|| LinearDamageRadius = " .. LinearDamageRadius)
        local LinearDropoff = FullDamageRadius * 10
        --LOG("|| LinearDropoff = " .. LinearDropoff)

        
        local pulseTime = self.NukeInnerRingTotalTime / self.NukeInnerRingTicks
        local position = self:GetPosition()
        local instigator = self:GetLauncher()
        local CurrentRadius = 0
        for i = 1, self.NukeInnerRingTicks do
            local damage = self.NukeInnerRingDamage / self.NukeInnerRingTicks
            local FullDamageRadius = math.floor(damage / 150)
            local LinearDamageRadius = FullDamageRadius * 2
            local LinearDropoff = FullDamageRadius * 10
            --if i == 1 then
            --    LOG("|| Applying " .. damage .. " to " .. FullDamageRadius)
            --end
            --LOG("|| Count = " .. i)
            DamageArea(instigator, position, FullDamageRadius, damage, 'Nuke', true, false)
            CurrentRadius = FullDamageRadius + 1
            while CurrentRadius <= self.NukeInnerRingRadius do
                local RingDamage = 0
                if CurrentRadius <= LinearDamageRadius then
                    damage = damage - LinearDropoff
                    RingDamage = damage
                    FullDamageRadius = CurrentRadius
                else
                    local DistanceIncreaseRatio = CurrentRadius / FullDamageRadius
                    local QuadIncrease = DistanceIncreaseRatio * DistanceIncreaseRatio * DistanceIncreaseRatio * DistanceIncreaseRatio
                    RingDamage = math.floor(damage / QuadIncrease)
                end
                if RingDamage > 0 then
                    --if i == 1 then
                    --    LOG("|| Applying " .. RingDamage .. " from " .. CurrentRadius - 1 .. " to " .. CurrentRadius)
                    --end
                    DamageRing(instigator, position, CurrentRadius - 1, CurrentRadius, RingDamage, 'Nuke', true)
                end
                CurrentRadius = CurrentRadius + 1
            end
            WaitSeconds(pulseTime)
        end
    end,

    ForceThread2 = function(self)
        if self.NukeInnerRingRadius >= 50 then
            local position = self:GetPosition()
            DamageRing(self, position, 45, self.NukeInnerRingRadius, 1, 'Force', true)
            WaitSeconds(0.1)
            DamageRing(self, position, 45, self.NukeInnerRingRadius, 1, 'Force', true)
            WaitSeconds(5)
            DamageRing(self, position, 45, self.NukeInnerRingRadius + 15, 1, 'Fire', true)
            WaitSeconds(5)
            DamageRing(self, position, 45, self.NukeInnerRingRadius + 15, 1, 'Fire', true)
            WaitSeconds(5)
            DamageRing(self, position, 45, self.NukeInnerRingRadius + 15, 1, 'Fire', true)
            WaitSeconds(5)
            DamageRing(self, position, 45, self.NukeInnerRingRadius + 15, 1, 'Fire', true)
            WaitSeconds(5)
            DamageRing(self, position, 45, self.NukeInnerRingRadius + 15, 1, 'Fire', true)
        end
    end,

}

TypeClass = CIFEMPFluxWarhead02

end

--[[
    DoNukeDamage = function(self)
        LOG("|| Running Cybran ACU Death Nuke Script")
        local pulseTime = self.NukeInnerRingTotalTime / self.NukeInnerRingTicks
        local damage = self.NukeInnerRingDamage / self.NukeInnerRingTicks
        local position = self:GetPosition()
        local instigator = self:GetLauncher()
        for i = 1, self.NukeInnerRingTicks do
            local damageRadius = self.NukeInnerRingRadius
            if damageRadius and damage then
                local EdgeDamage = damage * self.EdgeDamageRatio
                local HalfWay = math.ceil(damageRadius / 2)
                local EdgeFloor = math.floor(damageRadius)
                local StepCount = EdgeFloor - HalfWay
                local DamageFalloff = damage - EdgeDamage
                local StepDamage = DamageFalloff / StepCount
                local ThisDamageRing = HalfWay
                for i=1,StepCount do
                    DamageArea(instigator, position, ThisDamageRing, StepDamage, 'Nuke', true, false)
                    ThisDamageRing = ThisDamageRing + 1
                end
                DamageArea(instigator, position, damageRadius, EdgeDamage, 'Nuke', true, false)
            end
            WaitSeconds(pulseTime)
        end
    end,
--]]
