do
local OldUnit = UAL0001 
UAL0001 = Class(OldUnit) { 

--[[
    PhasedParticleInhibitorEnergyUsage = 100,
    PPIEnabled = true,
    EnergyConsumptionThread = {},
--]]

    OnCreate = function(self)
        OldUnit.OnCreate(self)
        self:AddBuildRestriction( categories.AEON * ( categories.BUILTBYTIER1ENGINEER + categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL) )
        local cat = ParseEntityCategory('BUILTBYCOMMANDER AEON')
        self:RemoveBuildRestriction(cat)
    end,

    OnStopBeingBuilt = function(self, builder, layer)
        OldUnit.OnStopBeingBuilt(self, builder, layer)
        self:EnableUnitIntel('Radar')
    end,

    TeleportUpgradeDisabled = false,

    DoTakeDamage = function(self, instigator, amount, vector, damageType)
        if self.HasTeleportUpgrade == true then
            if not self:IsDead() then
                if self.DisableTeleportThread then
                    self.DisableTeleportThread:Destroy()
                    self.DisableTeleportThread = nil
                end
                self.DisableTeleportThread = self:ForkThread(self.DisableTeleportUpgrade, self)
            end
        end
        OldUnit.DoTakeDamage(self,instigator,amount,vector,damageType)
    end,

    DisableTeleportUpgrade = function(self)
        self.TeleportUpgradeDisabled = true
        WaitSeconds(3)
        self.TeleportUpgradeDisabled = false
    end, 


--[[
    EnableSpecialToggle = function(self)
        OldUnit.EnableSpecialToggle(self)
        if self.PPIEnabled == true then
            self:SetConsumptionPerSecondEnergy(self.PhasedParticleInhibitorEnergyUsage)
            self:SetConsumptionActive(true)
            self:SetArmoredState()
            self:SetRegenRate(1)
            self:SetImmobile(true)
            self:PlayPPIEffects()
            self.EnergyConsumptionThread = self:ForkThread(self.MaintainPPIEnergy,self) 
--            self:SetAllWeaponsEnabled(false)
            self:SetWeaponEnabledByLabel('RightDisruptor', false)
        end
    end,
    DisableSpecialToggle = function(self)
        OldUnit.DisableSpecialToggle(self)
        self.EnergyConsumptionThread:Destroy()
        self:ForkThread(self.PPIRecharge,self) 
        self:SetUnarmoredState()
        self:SetRegenRate(10)
        self:UpdateConsumptionValues()
        self.PhasedParticleInhibitorEnergyUsage = 100,
        self:ForkThread(self.WakeupAfterPPI,self) 
    end,
    MaintainPPIEnergy = function(self)
        while not self:IsDead() do 
            WaitSeconds(5)
            self.PhasedParticleInhibitorEnergyUsage = self.PhasedParticleInhibitorEnergyUsage * 1.15
            self:SetConsumptionPerSecondEnergy(self.PhasedParticleInhibitorEnergyUsage)
            self:SetConsumptionActive(true)
            if self:GetResourceConsumed() < 1 then
                self:DisableSpecialToggle()
            end
        end
    end,
    PPIRecharge = function(self)
        self.PPIEnabled = false
        WaitSeconds(180)
        self.PPIEnabled = true
    end,
    WakeupAfterPPI = function(self)
        WaitSeconds(15)
        self:SetImmobile(false)
--        self:SetAllWeaponsEnabled(true)
        self:SetWeaponEnabledByLabel('RightDisruptor', true)
        self:CleanupTeleportChargeEffects()
    end,
    PlayPPIEffects = function(self)
        local army = self:GetArmy()
        local bp = self:GetBlueprint()
        self.TeleportChargeBag = {}
        for k, v in EffectTemplate.GenericTeleportCharge01 do
            local fx = CreateAttachedEmitter(self, -1, army,v):ScaleEmitter(math.sqrt(bp.SizeX + bp.SizeZ) * math.sqrt(math.sqrt(bp.SizeX / bp.SizeZ)))
            self.Trash:Add(fx)
            table.insert( self.TeleportChargeBag, fx)
        end
    end,
--]]
    CreateEnhancement = function(self, enh)
        AWalkingLandUnit.CreateEnhancement(self, enh)
        local bp = self:GetBlueprint().Enhancements[enh]

        --                                                         
        --                        BACK                             
        --                                                         

        if enh == 'ChronoDampener' then
            self:SetWeaponEnabledByLabel('ChronoDampener', true)
        elseif enh == 'ChronoDampenerRemove' then
            self:SetWeaponEnabledByLabel('ChronoDampener', false)
        elseif enh == 'Shield1' or enh == 'Shield2' or enh == 'Shield3' or enh == 'Shield4' then
            self:AddToggleCap('RULEUTC_ShieldToggle')
            self:CreatePersonalShield(bp)
            self:SetEnergyMaintenanceConsumptionOverride(bp.MaintenanceConsumptionPerSecondEnergy or 0)
            self:SetMaintenanceConsumptionActive()
        elseif enh == 'Shield1Remove' or enh == 'Shield2Remove' or enh == 'Shield3Remove' or enh == 'Shield4Remove'then
            self:DestroyShield()
            self:SetMaintenanceConsumptionInactive()
            RemoveUnitEnhancement(self, 'ShieldRemove')
            self:RemoveToggleCap('RULEUTC_ShieldToggle')
        elseif enh == 'Teleporter' then
            self.HasTeleportUpgrade = true
            self.TeleportEnergyCost = 3000
            self.TeleportRechargeTime = 15
            self.InBeaconProximityTesting = false
            self:AddCommandCap('RULEUCC_Teleport')
        elseif enh == 'TeleporterRemove' then
            self.HasTeleportUpgrade = false
            self.TeleportRechargeTime = 60
            self.TeleportEnergyCost = 15000
            self.InBeaconProximityTesting = false
            self:RemoveCommandCap('RULEUCC_Teleport')
        elseif enh == 'WhiteRabbit' then
            --self:RemoveToggleCap('RULEUTC_SpecialToggle')
            self:AddCommandCap('RULEUCC_Teleport')
            self.FreeTeleportRange = 35
            self.TeleportEnergyCost = 0
            self.TeleportRechargeTime = 0
            self:ForkThread(self.WhiteRabbitManager,self) 
            self.WhiteRabbitEnabled = true
        elseif enh == 'WhiteRabbitRemove' then
            self:RemoveCommandCap('RULEUCC_Teleport')
            self.FreeTeleportRange = 0
            self.TeleportEnergyCost = 15000
            self.TeleportRechargeTime = 60


--[[
        if enh == 'PPI' then
            self:AddToggleCap('RULEUTC_SpecialToggle')
        elseif enh == 'PPIRemove' then
            self:RemoveToggleCap('RULEUTC_SpecialToggle')
            self:DestroyShield()
--]]

        --                                                         
        --                      LEFT ARM                           
        --                                                         

        elseif enh == 'Nanolathe' then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['AeonACUNanolatheBuildRate'] then
                BuffBlueprint {
                    Name = 'AeonACUNanolatheBuildRate',
                    DisplayName = 'AeonACUNanolatheBuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'AeonACUNanolatheBuildRate')
        elseif enh =='NanolatheRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            self:AddBuildRestriction(categories.AEON * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL))
            if Buff.HasBuff( self, 'AeonACUNanolatheBuildRate' ) then
                Buff.RemoveBuff( self, 'AeonACUNanolatheBuildRate' )
            end
        elseif enh =='AdvancedEngineering' then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['AeonACUT2BuildRate'] then
                BuffBlueprint {
                    Name = 'AeonACUT2BuildRate',
                    DisplayName = 'AeonACUT2BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'AeonACUT2BuildRate')
        elseif enh =='AdvancedEngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            self:AddBuildRestriction(categories.AEON * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL))
            if Buff.HasBuff( self, 'AeonACUT2BuildRate' ) then
                Buff.RemoveBuff( self, 'AeonACUT2BuildRate' )
            end
        elseif enh =='T3Engineering' then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['AeonACUT3BuildRate'] then
                BuffBlueprint {
                    Name = 'AeonACUT3BuildRate',
                    DisplayName = 'AeonCUT3BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'AeonACUT3BuildRate')
        elseif enh =='T3EngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            self:AddBuildRestriction(categories.AEON * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL))
            if Buff.HasBuff( self, 'AeonACUT3BuildRate' ) then
                Buff.RemoveBuff( self, 'AeonACUT3BuildRate' )
            end
        elseif enh =='T4Engineering' then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['AeonACUT4BuildRate'] then
                BuffBlueprint {
                    Name = 'AeonACUT4BuildRate',
                    DisplayName = 'AeonCUT4BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'AeonACUT4BuildRate')
        elseif enh =='T4EngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            self:AddBuildRestriction(categories.AEON * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL))
            if Buff.HasBuff( self, 'AeonACUT4BuildRate' ) then
                Buff.RemoveBuff( self, 'AeonACUT4BuildRate' )
            end

        --                                                         
        --                     RIGHT ARM                           
        --                                                         

        elseif enh == 'WeaponEnhanceLevel1' then
            #local bpDamage = self:GetBlueprint().Weapon[1].Damage
            #local wep = self:GetWeaponByLabel('RightDisruptor')
            #wep:AddDamageMod(bpDamage)
            if not Buffs['WeaponEnhanceLevel1'] then
                BuffBlueprint {
                    Name = 'WeaponEnhanceLevel1',
                    DisplayName = 'WeaponEnhanceLevel1',
                    BuffType = 'ACUWeaponUpgrade',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        Damage = {
                            Add =  0,
                            Mult = 2,
                            ByName = {
                                RightDisruptor = true,
                            },
                        },
                        DPS = {
                            Add = 0,
                            Mult = 2,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'WeaponEnhanceLevel1')
        elseif enh == 'WeaponEnhanceLevel2' then
            #local bpDamage = self:GetBlueprint().Weapon[1].Damage
            #local wep = self:GetWeaponByLabel('RightDisruptor')
            #wep:AddDamageMod(bpDamage * 2)
            if not Buffs['WeaponEnhanceLevel2'] then
                BuffBlueprint {
                    Name = 'WeaponEnhanceLevel2',
                    DisplayName = 'WeaponEnhanceLevel2',
                    BuffType = 'ACUWeaponUpgrade',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        Damage = {
                            Add =  0,
                            Mult = 4,
                            ByName = {
                                RightDisruptor = true,
                            },
                        },   
                        DPS = {
                            Add = 0,
                            Mult = 4,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'WeaponEnhanceLevel2')
        elseif enh == 'WeaponEnhanceLevel3' then
            #local bpDamage = self:GetBlueprint().Weapon[1].Damage
            #local wep = self:GetWeaponByLabel('RightDisruptor')
            #wep:AddDamageMod(bpDamage * 4)
            if not Buffs['WeaponEnhanceLevel3'] then
                BuffBlueprint {
                    Name = 'WeaponEnhanceLevel3',
                    DisplayName = 'WeaponEnhanceLevel3',
                    BuffType = 'ACUWeaponUpgrade',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        Damage = {
                            Add =  0,
                            Mult = 8,
                            ByName = {
                                RightDisruptor = true,
                            },
                        },    
                        DPS = {
                            Add = 0,
                            Mult = 8,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'WeaponEnhanceLevel3')
        elseif enh == 'WeaponEnhanceLevel4' then
            #local bpDamage = self:GetBlueprint().Weapon[1].Damage
            #local wep = self:GetWeaponByLabel('RightDisruptor')
            #wep:AddDamageMod(bpDamage * 8)
            if not Buffs['WeaponEnhanceLevel4'] then
                BuffBlueprint {
                    Name = 'WeaponEnhanceLevel4',
                    DisplayName = 'WeaponEnhanceLevel4',
                    BuffType = 'ACUWeaponUpgrade',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        Damage = {
                            Add =  0,
                            Mult = 16,
                            ByName = {
                                RightDisruptor = true,
                            },
                        },
                        DPS = {
                            Add = 0,
                            Mult = 16,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'WeaponEnhanceLevel4')
        elseif enh == 'WeaponEnhanceLevel1Remove' or enh == 'WeaponEnhanceLevel2Remove' or enh == 'WeaponEnhanceLevel3Remove'or enh == 'WeaponEnhanceLevel4Remove' then
            #local bpDamage = self:GetBlueprint().Weapon[1].Damage
            #local wep = self:GetWeaponByLabel('RightDisruptor')
            #wep:AddDamageMod(-bpDamage)
            if Buff.HasBuff( self, string.gsub(enh, 'Remove', '')) then
                Buff.RemoveBuff( self, string.gsub(enh, 'Remove', ''))
            end
--[[    This seems to be broken!
        elseif enh == 'EnhancedSensors' then
            self:SetIntelRadius('Vision', bp.NewVisionRadius or 104)
            self:SetIntelRadius('Radar', bp.NewRadarRadius or 104)
        elseif enh == 'EnhancedSensorsRemove' then
            local bpIntel = self:GetBlueprint().Intel
            self:SetIntelRadius('Vision', bpIntel.VisionRadius or 26)
            self:SetIntelRadius('Radar', bpIntel.RadarRadius or 0)
--]]

        end
    end,
    WhiteRabbitCountdown = 0,
    WhiteRabbitManager = function(self)
        local Overload = false
        while not self:IsDead() do 
            WaitSeconds(1)
            if self.WhiteRabbitCountdown >= 60 and Overload == false then
                local army = self:GetArmy()
                self.TeleportChargeBag = {}
                local Scale = self:GetEffectsScale()
                for k, v in EffectTemplate.GenericTeleportCharge01 do
                    local fx = CreateAttachedEmitter(self, -1, army,v):ScaleEmitter(Scale)
                    self.Trash:Add(fx)
                    table.insert( self.TeleportChargeBag, fx)
                end
                self:RemoveCommandCap('RULEUCC_Teleport')
                Overload = true
            end
            if self.WhiteRabbitCountdown < 60 and Overload == true then
                self:AddCommandCap('RULEUCC_Teleport')
                self:CleanupTeleportChargeEffects()
                if self.NaturalTeleporter == false then
                    if self.BeaconProximityThread == nil then
                        self.BeaconProximityThread = self:ForkThread(self.TestBeaconProximity,self)
                    end
                end
                Overload = false
            end
            if self.WhiteRabbitCountdown > 0 then
                self.WhiteRabbitCountdown = self.WhiteRabbitCountdown - 1
            end
        end
    end,
    OnTeleportUnit = function(self, teleporter, location, orientation)
        local TeleportSuccessful = false
        if self.WhiteRabbitCountdown < 60 then
            OldUnit.OnTeleportUnit(self, teleporter, location, orientation)
        end
    end,
} 
TypeClass = UAL0001
end 
