do

local AWalkingLandUnit = import('/lua/aeonunits.lua').AWalkingLandUnit
local OldUnit = UAL0301
--[[
local function EnhanceThread(self, builder)
    local FactoryEnhancements = builder.EnhanceList or {}
    for k,v in FactoryEnhancements do
        local order = {
            TaskName = "EnhanceTask",
            Enhancement = v
        }
        IssueScript({self}, order)
    end
end
--]]
UAL0301 = Class(OldUnit) {
    OnStopBeingBuilt = function(self, builder, layer)
        OldUnit.OnStopBeingBuilt(self, builder, layer)
        --self:ForkThread(EnhanceThread, builder)
    end,
    CreateEnhancement = function(self, enh)
        AWalkingLandUnit.CreateEnhancement(self, enh)
        local bp = self:GetBlueprint().Enhancements[enh]
        if not bp then return end
        if enh == 'Shield' then
            self:AddToggleCap('RULEUTC_ShieldToggle')
            self:SetEnergyMaintenanceConsumptionOverride(bp.MaintenanceConsumptionPerSecondEnergy or 0)
            self:SetMaintenanceConsumptionActive()
            self:CreatePersonalShield(bp)
        elseif enh == 'ShieldRemove' then
            self:DestroyShield()
            self:SetMaintenanceConsumptionInactive()
            self:RemoveToggleCap('RULEUTC_ShieldToggle')
        elseif enh == 'ShieldHeavy' then
            self:ForkThread(self.CreateHeavyShield, bp)
        elseif enh == 'ShieldHeavyRemove' then
            self:DestroyShield()
            self:SetMaintenanceConsumptionInactive()
            self:RemoveToggleCap('RULEUTC_ShieldToggle') 
        elseif enh =='EngineeringFocusingModule' then
            if not Buffs['AeonSCUBuildRate'] then
                BuffBlueprint {
                    Name = 'AeonSCUBuildRate',
                    DisplayName = 'AeonSCUBuildRate',
                    BuffType = 'SCUBUILDRATE',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'AeonSCUBuildRate')
        elseif enh == 'EngineeringFocusingModuleRemove' then
            if Buff.HasBuff( self, 'AeonSCUBuildRate' ) then
                Buff.RemoveBuff( self, 'AeonSCUBuildRate' )
            end
        elseif enh == 'SystemIntegrityCompensator' then
            if not Buffs['SystemIntegrityCompensator'] then
                BuffBlueprint {
                    Name = 'SystemIntegrityCompensator',
                    DisplayName = 'SystemIntegrityCompensator',
                    BuffType = 'SCUREGEN',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        Regen = {
                            Add =  bp.NewRegenRate,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'SystemIntegrityCompensator')
        elseif enh == 'SystemIntegrityCompensatorRemove' then
            if Buff.HasBuff( self, 'SystemIntegrityCompensator' ) then
                #LOG("||Removing System integrity Compensator")
                Buff.RemoveBuff( self, 'SystemIntegrityCompensator' )
            end
        elseif enh =='StabilitySuppressant' then		
            if not Buffs['StabilitySuppressant'] then
                BuffBlueprint {
                    Name = 'StabilitySuppressant',
                    DisplayName = 'StabilitySuppressant',
                    BuffType = 'StabilitySuppressant',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        DamageRadius = {
                            Add =  bp.NewDamageRadiusMod,
                            Mult = 1,
                            ByName = {RightReactonCannon = true}
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'StabilitySuppressant')
        elseif enh =='StabilitySuppressantRemove' then
            if Buff.HasBuff( self, 'StabilitySuppressant' ) then
                Buff.RemoveBuff( self, 'StabilitySuppressant' )
            end
        end
        if bp.ArmorAdjustment then 
            LOG("|| Enh Armor: " .. bp.ArmorAdjustment)
            if bp.ArmorAdjustment > 0 then
                self:AddHealthBuff(enh..'Health', bp.ArmorAdjustment)
            else
                self:RemoveHealthBuff(string.gsub(enh, 'Remove', '').. 'Health')
            end
        end
    end,
    
    AddHealthBuff = function(self, name, value)
        if not Buffs[name] then
                BuffBlueprint {
                    Name = name,
                    DisplayName = name .. " health buff",
                    BuffType = 'HEALTH',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        MaxHealth = {
                            Add =  value,
                            Mult = 1,
                        },
                    },
                }
        end
        Buff.ApplyBuff(self, name)
    end,
    
    RemoveHealthBuff = function(self, name)
        if Buff.HasBuff( self, name ) then
            Buff.RemoveBuff( self, name )
        end
    end,
    
}   

TypeClass = UAL0301

end
