do
local OldUnit = UEL0001 
local TWalkingLandUnit = import('/lua/terranunits.lua').TWalkingLandUnit
UEL0001 = Class(OldUnit) { 

    OnCreate = function(self)
        OldUnit.OnCreate(self)
        self:AddBuildRestriction( categories.UEF * ( categories.BUILTBYTIER1ENGINEER + categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL) )
        local cat = ParseEntityCategory('BUILTBYCOMMANDER UEF')
        self:RemoveBuildRestriction(cat)
    end,

    TeleportUpgradeDisabled = false,

    DoTakeDamage = function(self, instigator, amount, vector, damageType)
        if self.HasTeleportUpgrade == true then
            if not self:IsDead() then
                if self.DisableTeleportThread then
                    self.DisableTeleportThread:Destroy()
                    self.DisableTeleportThread = nil
                end
                self.DisableTeleportThread = self:ForkThread(self.DisableTeleportUpgrade, self)
            end
        end
        OldUnit.DoTakeDamage(self,instigator,amount,vector,damageType)
    end,

    DisableTeleportUpgrade = function(self)
        self.TeleportUpgradeDisabled = true
        WaitSeconds(3)
        self.TeleportUpgradeDisabled = false
    end, 

    CreateEnhancement = function(self, enh)
        TWalkingLandUnit.CreateEnhancement(self, enh)
        local bp = self:GetBlueprint().Enhancements[enh]
        if not bp then return end

        --                                                         
        --                        BACK                             
        --                                                         

        if enh == 'Shield1' or enh == 'Shield2' or enh == 'Shield3' or enh == 'Shield4' then
            self:AddToggleCap('RULEUTC_ShieldToggle')
            self:CreatePersonalShield(bp)
            self:SetEnergyMaintenanceConsumptionOverride(bp.MaintenanceConsumptionPerSecondEnergy or 0)
            self:SetMaintenanceConsumptionActive()
        elseif enh == 'Shield1Remove' or enh == 'Shield2Remove' or enh == 'Shield3Remove' or enh == 'Shield4Remove'then
            self:DestroyShield()
            self:SetMaintenanceConsumptionInactive()
            RemoveUnitEnhancement(self, 'ShieldRemove')
            self:RemoveToggleCap('RULEUTC_ShieldToggle')
        elseif enh == 'Teleporter' then
            self.HasTeleportUpgrade = true
            self.InBeaconProximityTesting = false
            self.TeleportRechargeTime = 15
            self.TeleportEnergyCost = 3000
            self:AddCommandCap('RULEUCC_Teleport')
        elseif enh == 'TeleporterRemove' then
            self.HasTeleportUpgrade = false
            self.InBeaconProximityTesting = false
            self:RemoveCommandCap('RULEUCC_Teleport')
            self.TeleportRechargeTime = 60
            self.TeleportEnergyCost = 15000
        elseif enh =='TacticalMissile' then
            self:AddCommandCap('RULEUCC_Tactical')
            self:AddCommandCap('RULEUCC_SiloBuildTactical')
            self:SetWeaponEnabledByLabel('TacMissile', true)
            local wep = self:GetWeaponByLabel('TacMissile')
            wep:ChangeMaxRadius(256)
            wep:ChangeMinRadius(5)
        elseif enh =='TacticalNukeMissile' then
            self:RemoveCommandCap('RULEUCC_Tactical')
            self:RemoveCommandCap('RULEUCC_SiloBuildTactical')
            self:AddCommandCap('RULEUCC_Nuke')
            self:AddCommandCap('RULEUCC_SiloBuildNuke')
            self:SetWeaponEnabledByLabel('TacMissile', false)
            self:SetWeaponEnabledByLabel('TacNukeMissile', true)
            local amt = self:GetTacticalSiloAmmoCount()
            self:RemoveTacticalSiloAmmo(amt or 0)
            self:StopSiloBuild()
            local wep = self:GetWeaponByLabel('TacNukeMissile')
            wep:ChangeMaxRadius(256)
            wep:ChangeMinRadius(25)
        elseif enh == 'TacticalMissileRemove' or enh == 'TacticalNukeMissileRemove' then
            self:RemoveCommandCap('RULEUCC_Nuke')
            self:RemoveCommandCap('RULEUCC_SiloBuildNuke')
            self:RemoveCommandCap('RULEUCC_Tactical')
            self:RemoveCommandCap('RULEUCC_SiloBuildTactical')
            self:SetWeaponEnabledByLabel('TacMissile', false)
            self:SetWeaponEnabledByLabel('TacNukeMissile', false)
            local wep = self:GetWeaponByLabel('TacNukeMissile')
            wep:ChangeMaxRadius(0)
            wep:ChangeMinRadius(0)
            wep = self:GetWeaponByLabel('TacMissile')
            wep:ChangeMaxRadius(0)
            wep:ChangeMinRadius(0)
            local amt = self:GetTacticalSiloAmmoCount()
            self:RemoveTacticalSiloAmmo(amt or 0)
            local amt = self:GetNukeSiloAmmoCount()
            self:RemoveNukeSiloAmmo(amt or 0)
            self:StopSiloBuild()
        elseif enh == 'LeftPod' then
            local location = self:GetPosition('AttachSpecial02')
            local pod = CreateUnitHPR('UEA0001', self:GetArmy(), location[1], location[2], location[3], 0, 0, 0)
            pod:SetParent(self, 'LeftPod')
            pod:SetCreator(self)
            self.Trash:Add(pod)
            self.HasLeftPod = true
            self.LeftPod = pod
        elseif enh == 'RightPod' then
            local location = self:GetPosition('AttachSpecial01')
            local pod = CreateUnitHPR('UEA0001', self:GetArmy(), location[1], location[2], location[3], 0, 0, 0)
            pod:SetParent(self, 'RightPod')
            pod:SetCreator(self)
            self.Trash:Add(pod)
            self.HasRightPod = true
            self.RightPod = pod
        elseif enh == 'LeftPodRemove' or enh == 'RightPodRemove' then
            if self.LeftPod and not self.LeftPod:IsDead() then
                self.LeftPod:Kill()
            end
            if self.RightPod and not self.RightPod:IsDead() then
                self.RightPod:Kill()
            end
        elseif enh =='HeavyArmor' then
            #local bpMaxHealth = self:GetBlueprint().Defense.MaxHealth + 60000
            #self:SetMaxHealth(bpMaxHealth)
            #self:SetHealth(self,bpMaxHealth)
            
            if not Buffs['UEFACUHeavyArmor'] then
                BuffBlueprint {
                    Name = 'UEFACUHeavyArmor',
                    DisplayName = 'UEFACUHeavyArmor',
                    BuffType = 'UEFACUHeavyArmor',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        MaxHealth = {
                            Add = 60000,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'UEFACUHeavyArmor')
        elseif enh =='HeavyArmorRemove' then
            if Buff.HasBuff( self, 'UEFACUHeavyArmor' ) then
                Buff.RemoveBuff( self, 'UEFACUHeavyArmor' )
            end

        --                                                         
        --                      LEFT ARM                           
        --                                                         

        elseif enh =='Nanolathe' then
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['UEFACUNanolatheBuildRate'] then
                BuffBlueprint {
                    Name = 'UEFACUNanolatheBuildRate',
                    DisplayName = 'UEFACUNanolatheBuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'UEFACUNanolatheBuildRate')
        elseif enh =='NanolatheRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            self:AddBuildRestriction(categories.UEF * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL))
            if Buff.HasBuff( self, 'UEFACUNanolatheBuildRate' ) then
                Buff.RemoveBuff( self, 'UEFACUNanolatheBuildRate' )
            end
        elseif enh =='AdvancedEngineering' then
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['UEFACUT2BuildRate'] then
                BuffBlueprint {
                    Name = 'UEFACUT2BuildRate',
                    DisplayName = 'UEFACUT2BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'UEFACUT2BuildRate')
        elseif enh =='AdvancedEngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            self:AddBuildRestriction(categories.UEF * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL))
            if Buff.HasBuff( self, 'UEFACUT2BuildRate' ) then
                Buff.RemoveBuff( self, 'UEFACUT2BuildRate' )
            end
        elseif enh =='T3Engineering' then
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['UEFACUT3BuildRate'] then
                BuffBlueprint {
                    Name = 'UEFACUT3BuildRate',
                    DisplayName = 'UEFCUT3BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                           Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair= {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'UEFACUT3BuildRate')
        elseif enh =='T3EngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            if Buff.HasBuff( self, 'UEFACUT3BuildRate' ) then
                Buff.RemoveBuff( self, 'UEFACUT3BuildRate' )
            end
            self:AddBuildRestriction(categories.UEF * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL))
        elseif enh =='T4Engineering' then
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            self:AddBuildRestriction(categories.SATELLITE)
            if not Buffs['UEFACUT4BuildRate'] then
                BuffBlueprint {
                    Name = 'UEFACUT4BuildRate',
                    DisplayName = 'UEFCUT4BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'UEFACUT4BuildRate')
        elseif enh =='T4EngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            if Buff.HasBuff( self, 'UEFACUT4BuildRate' ) then
                Buff.RemoveBuff( self, 'UEFACUT4BuildRate' )
            end
            self:AddBuildRestriction(categories.UEF * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL))
        elseif enh == 'DamageStablization' then
            local bpRegenRate = self:GetBlueprint().Enhancements.DamageStablization.NewRegenRate 
            if not Buffs['UEFACUDamageStabilization'] then
                BuffBlueprint {
                    Name = 'UEFACUDamageStabilization',
                    DisplayName = 'UEFACUDamageStabilization',
                    BuffType = 'UEFACUDamageStabilization',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        Regen = {
                            Add =  bpRegenRate,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'UEFACUDamageStabilization')
        elseif enh == 'DamageStablizationRemove' then
            if Buff.HasBuff( self, 'UEFACUDamageStabilization' ) then
                Buff.RemoveBuff( self, 'UEFACUDamageStabilization' )
            end


        --                                                         
        --                     RIGHT ARM                           
        --                                                         

        elseif enh =='WeaponEnhanceLevel1' then
           # local bpROF = self:GetBlueprint().Weapon[1].RateOfFire
           # local wep = self:GetWeaponByLabel('RightZephyr')
           # wep:ChangeRateOfFire(bpROF * 2)
            if not Buffs[enh] then
               BuffBlueprint {
                   Name = enh,
                   DisplayName = enh,
                   BuffType = 'ACUWeaponUpgrade',
                   Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        RateOfFireBuf = {
                            Add =  0,
                            Mult = 2,
                            ByName = {
                                RightZephyr = true,
                            },
                       
                        },
                         DPS = {
                            Add = 0,
                            Mult = 2,
                            },
                    },
                }
            end
            Buff.ApplyBuff(self, enh)
        elseif enh =='WeaponEnhanceLevel2' then
           # local bpROF = self:GetBlueprint().Weapon[1].RateOfFire
           # local wep = self:GetWeaponByLabel('RightZephyr')
           # wep:ChangeRateOfFire(bpROF * 4)
            if not Buffs[enh] then
               BuffBlueprint {
                   Name = enh,
                   DisplayName = enh,
                   BuffType = 'ACUWeaponUpgrade',
                   Stacks = 'REPLACE',
                   Duration = -1,
                   Affects = {
                       RateOfFireBuf = {
                           Add =  0,
                           Mult = 4,
                           ByName = {
                               RightZephyr = true,
                           },
                       },
                       DPS = {
                           Add = 0,
                           Mult = 4,
                        },
                   },
               }
            end
            Buff.ApplyBuff(self, enh)
        elseif enh =='WeaponEnhanceLevel3' then
            #local bpDamage = self:GetBlueprint().Weapon[1].Damage
            #local wep = self:GetWeaponByLabel('RightZephyr')
            #wep:AddDamageMod(bpDamage)
            if not Buffs[enh] then
               BuffBlueprint {
                   Name = enh,
                   DisplayName = enh,
                   BuffType = 'ACUWeaponUpgrade',
                   Stacks = 'REPLACE',
                   Duration = -1,
                   Affects = {
                       RateOfFireBuf = {
                           Add =  0,
                           Mult = 4,
                           ByName = {
                               RightZephyr = true,
                           },
                       },
                       Damage = {
                            Add =  0,
                            Mult = 2,
                            ByName = {
                              RightZephyr = true,
                            },
                       },
                       DPS = {
                          Add = 0,
                          Mult = 8,
                        },
                   },
               }
            end
            Buff.ApplyBuff(self, enh)    
        elseif enh =='WeaponEnhanceLevel4' then
            #local bpDamage = self:GetBlueprint().Weapon[1].Damage
            #local wep = self:GetWeaponByLabel('RightZephyr')
            #wep:AddDamageMod(bpDamage * 2)
            if not Buffs[enh] then
               BuffBlueprint {
                   Name = enh,
                   DisplayName = enh,
                   BuffType = 'ACUWeaponUpgrade',
                   Stacks = 'REPLACE',
                   Duration = -1,
                   Affects = {
                       RateOfFireBuf = {
                           Add =  0,
                           Mult = 4,
                           ByName = {
                               RightZephyr = true,
                           },
                       },
                       Damage = {
                            Add =  0,
                            Mult = 4,
                            ByName = {
                              RightZephyr = true,
                            },
                       },
                       DPS = {
                             Add = 0,
                             Mult = 16,
                        },
                   },
                   
               }
            end
            Buff.ApplyBuff(self, enh)
        elseif enh == 'WeaponEnhanceLevel1Remove' or enh == 'WeaponEnhanceLevel2Remove' or enh == 'WeaponEnhanceLevel3Remove'or enh == 'WeaponEnhanceLevel4Remove' then
            if Buff.HasBuff( self, string.gsub(enh, 'Remove', '')) then
                Buff.RemoveBuff( self, string.gsub(enh, 'Remove', ''))
            end
        end
    end, 
} 
TypeClass = UEL0001
end
