do

local TWalkingLandUnit = import('/lua/terranunits.lua').TWalkingLandUnit
local Buff = import('/lua/sim/buff.lua')
local OldUnit = UEL0301
--[[
local function EnhanceThread(self, builder)
    local FactoryEnhancements = builder.EnhanceList or {}
    for k,v in FactoryEnhancements do
        local order = {
            TaskName = "EnhanceTask",
            Enhancement = v
        }
        IssueScript({self}, order)
    end
end
--]]
UEL0301 = Class(OldUnit) {
    OnStopBeingBuilt = function(self, builder, layer)
        OldUnit.OnStopBeingBuilt(self, builder, layer)
        --self:ForkThread(EnhanceThread, builder)
    end,
    CreateEnhancement = function(self, enh)
        TWalkingLandUnit.CreateEnhancement(self, enh)
        local bp = self:GetBlueprint().Enhancements[enh]
        if not bp then return end
        if enh == 'Pod' then
            local location = self:GetPosition('AttachSpecial01')
            local pod = CreateUnitHPR('UEA0003', self:GetArmy(), location[1], location[2], location[3], 0, 0, 0)
            pod:SetParent(self, 'Pod')
            pod:SetCreator(self)
            self.Trash:Add(pod)
            self.Pod = pod
        elseif enh == 'PodRemove' then
            if self.Pod and not self.Pod:BeenDestroyed() then
                self.Pod:Kill()
            end
        elseif enh == 'Shield' then
            self:AddToggleCap('RULEUTC_ShieldToggle')
            self:SetEnergyMaintenanceConsumptionOverride(bp.MaintenanceConsumptionPerSecondEnergy or 0)
            self:SetMaintenanceConsumptionActive()
            self:CreatePersonalShield(bp)
        elseif enh == 'ShieldRemove' then
            RemoveUnitEnhancement(self, 'Shield')
            self:DestroyShield()
            self:SetMaintenanceConsumptionInactive()
            self:RemoveToggleCap('RULEUTC_ShieldToggle')
        elseif enh == 'ShieldGeneratorField' then
            self:SetEnergyMaintenanceConsumptionOverride(bp.MaintenanceConsumptionPerSecondEnergy or 0)
            self:SetMaintenanceConsumptionActive()
            self:DestroyShield()
            self:CreatePersonalShield(bp)
        elseif enh == 'ShieldGeneratorFieldRemove' then
            self:DestroyShield()
            self:SetMaintenanceConsumptionInactive()
            self:RemoveToggleCap('RULEUTC_ShieldToggle')
        elseif enh == 'SensorRangeEnhancer' then
            TWalkingLandUnit.CreateEnhancement(self, enh)
            self:SetIntelRadius('Vision', bp.NewVisionRadius)
            self:SetIntelRadius('Radar', bp.NewRadarRadius)
        elseif enh == 'SensorRangeEnhancerRemove' then
            TWalkingLandUnit.CreateEnhancement(self, enh)
            local bpIntel = self:GetBlueprint().Intel
            self:SetIntelRadius('Vision', bpIntel.VisionRadius)
            self:SetIntelRadius('Radar', 0)
        elseif enh == 'RadarJammer' then
            self:SetIntelRadius('Jammer', bp.NewJammerRadius or 26)
            self.RadarJammerEnh = true 
            self:EnableUnitIntel('Jammer')
            self:AddToggleCap('RULEUTC_JammingToggle')              
        elseif enh == 'RadarJammerRemove' then
            local bpIntel = self:GetBlueprint().Intel
            self:SetIntelRadius('Jammer', 0)
            self:DisableUnitIntel('Jammer')
            self.RadarJammerEnh = false
            self:RemoveToggleCap('RULEUTC_JammingToggle')
        elseif enh =='AdvancedCoolingUpgrade' then
            if not Buffs['AdvancedCoolingUpgrade'] then
                BuffBlueprint {
                    Name = 'AdvancedCoolingUpgrade',
                    DisplayName = 'AdvancedCoolingUpgrade',
                    BuffType = 'RateOfFireBuf',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        RateOfFireBuf = {
                            Add = bp.NewRateOfFire,
                            Mult = 1.0,
                            #ByName = 'RightHeavyPlasmaCannon',
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'AdvancedCoolingUpgrade')
            #local wep = self:GetWeaponByLabel('RightHeavyPlasmaCannon')
            #wep:ChangeRateOfFire(bp.NewRateOfFire)
        elseif enh =='AdvancedCoolingUpgradeRemove' then
            if Buff.HasBuff( self, 'AdvancedCoolingUpgrade' ) then
                Buff.RemoveBuff( self, 'AdvancedCoolingUpgrade' )
            end
            #local wep = self:GetWeaponByLabel('RightHeavyPlasmaCannon')
            #wep:ChangeRateOfFire(self:GetBlueprint().Weapon[1].RateOfFire or 1)
        elseif enh =='HighExplosiveOrdnance' then
            if not Buffs['SCUHighExplosiveOrdnance'] then
                BuffBlueprint {
                    Name = 'SCUHighExplosiveOrdnance',
                    DisplayName = 'SCUHighExplosiveOrdnance',
                    BuffType = 'SCUHighExplosiveOrdnance',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        DamageRadius = {
                            Add = 4,
                            Mult = 1.0,
                            ByName = { RightHeavyPlasmaCannon = true},
                        },
                    },
                }
            end
			Buff.ApplyBuff(self, 'SCUHighExplosiveOrdnance')
            #local wep = self:GetWeaponByLabel('RightHeavyPlasmaCannon')
            #wep:AddDamageRadiusMod(bp.NewDamageRadius)
        elseif enh =='HighExplosiveOrdnanceRemove' then
            if Buff.HasBuff( self, 'SCUHighExplosiveOrdnance' ) then
                Buff.RemoveBuff( self, 'SCUHighExplosiveOrdnance' )
            end
            #local wep = self:GetWeaponByLabel('RightHeavyPlasmaCannon')
            #wep:AddDamageRadiusMod(bp.NewDamageRadius)
        end
        if bp.ArmorAdjustment then 
            LOG("|| Enh Armor: " .. bp.ArmorAdjustment)
            if bp.ArmorAdjustment > 0 then
                self:AddHealthBuff(enh..'Health', bp.ArmorAdjustment)
            else
                self:RemoveHealthBuff(string.gsub(enh, 'Remove', '').. 'Health')
            end
        end
    end,

    AddHealthBuff = function(self, name, value)
        if not Buffs[name] then
            BuffBlueprint {
                Name = name,
                DisplayName = name .. " health buff",
                BuffType = 'HEALTH',
                Stacks = 'ALWAYS',
                Duration = -1,
                Affects = {
                    MaxHealth = {
                        Add =  value,
                        Mult = 1,
                    },
                },
            }
        end
        Buff.ApplyBuff(self, name)
    end,

    RemoveHealthBuff = function(self, name)
        if Buff.HasBuff( self, name ) then
            Buff.RemoveBuff( self, name )
        end
    end,
    
}   
    
TypeClass = UEL0301

end
