do

local OldUnit = URL0001
URL0001 = Class(OldUnit) {

    CloakDevicePresent = false,

    OnCreate = function(self)
        OldUnit.OnCreate(self)
        self:AddBuildRestriction( categories.CYBRAN * ( categories.BUILTBYTIER1ENGINEER + categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL) )
        local cat = ParseEntityCategory('BUILTBYCOMMANDER CYBRAN')
        self:RemoveBuildRestriction(cat)
    end,

    OnStopBeingBuilt = function(self, builder, layer)
        CWalkingLandUnit.OnStopBeingBuilt(self,builder,layer)
        self:SetWeaponEnabledByLabel('RightRipper', true)
        self:SetWeaponEnabledByLabel('Torpedo', false)
        self:SetWeaponEnabledByLabel('MLG', false)
        self:SetWeaponEnabledByLabel('MLG2', false)
        self:SetWeaponEnabledByLabel('MLG3', false)
        self:SetWeaponEnabledByLabel('MLG4', false)
        self.HasNinjaUpgrade = false
        self:HideBone('Back_Upgrade', true)
        self:HideBone('Right_Upgrade', true)
        self:SetScriptBit('RULEUTC_JammingToggle', false)
        self:SetScriptBit('RULEUTC_JammingToggle', true)
        self:RemoveToggleCap('RULEUTC_JammingToggle')
        self:RemoveToggleCap('RULEUTC_CloakToggle')
        self:SetIntelRadius('RadarStealthField', 0)
        self:RequestRefreshUI()
        self:ForkThread(self.GiveInitialResources)
    end,
    Weapons = {
        DeathWeapon = Class(CIFCommanderDeathWeapon) {},
        RightRipper = Class(CCannonMolecularWeapon) {
            OnWeaponFired = function(self)
                local bp = self:GetBlueprint()
                if self.unit.HasNinjaUpgrade and self.unit.HasNinjaUpgrade == true then
                    if self.unit.RecloakCountdown < (bp.UpgradedRecloakAfterFiringDelay or 0) then
                        self.unit.RecloakCountdown = bp.UpgradedRecloakAfterFiringDelay or 0
                    end
                else
                    if self.unit.RecloakCountdown < (bp.RecloakAfterFiringDelay or 0) then
                        self.unit.RecloakCountdown = bp.RecloakAfterFiringDelay or 0
                    end
                end
                CCannonMolecularWeapon.OnWeaponFired(self)
            end,
        },
        Torpedo = Class(CANTorpedoLauncherWeapon) {},
        MLG = Class(CDFHeavyMicrowaveLaserGeneratorCom) {
            DisabledFiringBones = {'Turret_Muzzle_03'},
            SetOnTransport = function(self, transportstate)
                CDFHeavyMicrowaveLaserGeneratorCom.SetOnTransport(self, transportstate)
                self:ForkThread(self.OnTransportWatch)
            end,
            OnTransportWatch = function(self)
                while self:GetOnTransport() do
                    self:PlayFxBeamEnd()
                    self:SetWeaponEnabled(false)
                    WaitSeconds(0.3)
                end
            end,
            OnWeaponFired = function(self)
                local bp = self:GetBlueprint()
                if self.unit.HasNinjaUpgrade and self.unit.HasNinjaUpgrade == true then
                    if self.unit.RecloakCountdown < (bp.UpgradedRecloakAfterFiringDelay or 0) then
                        self.unit.RecloakCountdown = bp.UpgradedRecloakAfterFiringDelay or 0
                    end
                else
                    if self.unit.RecloakCountdown < (bp.RecloakAfterFiringDelay or 0) then
                        self.unit.RecloakCountdown = bp.RecloakAfterFiringDelay or 0
                    end
                end
                CDFHeavyMicrowaveLaserGeneratorCom.OnWeaponFired(self)
            end,
        },
        OverCharge = Class(CDFOverchargeWeapon) {
            OnCreate = function(self)
                CDFOverchargeWeapon.OnCreate(self)
                self:SetWeaponEnabled(false)
                self.AimControl:SetEnabled(false)
                self.AimControl:SetPrecedence(0)
            end,

            OnEnableWeapon = function(self)
                if self:BeenDestroyed() then return end
                CDFOverchargeWeapon.OnEnableWeapon(self)
                self:SetWeaponEnabled(true)
                self.unit:SetWeaponEnabledByLabel('RightRipper', false)
                self.unit:BuildManipulatorSetEnabled(false)
                self.AimControl:SetEnabled(true)
                self.AimControl:SetPrecedence(20)
                self.unit.BuildArmManipulator:SetPrecedence(0)
                self.AimControl:SetHeadingPitch( self.unit:GetWeaponManipulatorByLabel('RightRipper'):GetHeadingPitch() )
            end,

            OnGotTarget = function(self)
                CDFOverchargeWeapon.OnGotTarget(self)
            end,

            OnWeaponFired = function(self)
                CDFOverchargeWeapon.OnWeaponFired(self)
                self:SetWeaponEnabled(false)
                self.unit:SetWeaponEnabledByLabel('RightRipper', true)
                self.unit:BuildManipulatorSetEnabled(false)
                self.AimControl:SetEnabled(false)
                self.AimControl:SetPrecedence(0)
                self.unit.BuildArmManipulator:SetPrecedence(0)
                self.unit:GetWeaponManipulatorByLabel('RightRipper'):SetHeadingPitch( self.AimControl:GetHeadingPitch() )

                local bp = self:GetBlueprint()
                if self.unit.HasNinjaUpgrade and self.unit.HasNinjaUpgrade == true then
                    if self.unit.RecloakCountdown < (bp.UpgradedRecloakAfterFiringDelay or 0) then
                        self.unit.RecloakCountdown = bp.UpgradedRecloakAfterFiringDelay or 0
                    end
                else
                    if self.unit.RecloakCountdown < (bp.RecloakAfterFiringDelay or 0) then
                        self.unit.RecloakCountdown = bp.RecloakAfterFiringDelay or 0
                    end
                end
            end,
            
            OnDisableWeapon = function(self)
                if self.unit:BeenDestroyed() then return end
                self:SetWeaponEnabled(false)
                self.unit:SetWeaponEnabledByLabel('RightRipper', true)
                self.unit:BuildManipulatorSetEnabled(false)
                self.AimControl:SetEnabled(false)
                self.AimControl:SetPrecedence(0)
                self.unit.BuildArmManipulator:SetPrecedence(0)
                self.unit:GetWeaponManipulatorByLabel('RightRipper'):SetHeadingPitch( self.AimControl:GetHeadingPitch() )
            end,
        },
    },

    TeleportUpgradeDisabled = false,

    DoTakeDamage = function(self, instigator, amount, vector, damageType)
        if self.HasTeleportUpgrade == true then
            if not self:IsDead() then
                if self.DisableTeleportThread then
                    self.DisableTeleportThread:Destroy()
                    self.DisableTeleportThread = nil
                end
                self.DisableTeleportThread = self:ForkThread(self.DisableTeleportUpgrade, self)
            end
        end
        OldUnit.DoTakeDamage(self,instigator,amount,vector,damageType)
    end,

    DisableTeleportUpgrade = function(self)
        self.TeleportUpgradeDisabled = true
        WaitSeconds(3)
        self.TeleportUpgradeDisabled = false
    end, 

    CreateEnhancement = function(self, enh)
        CWalkingLandUnit.CreateEnhancement(self, enh)

        --                                                         
        --                        BACK                             
        --                                                         


        if enh == 'StealthGenerator' then
            self:AddToggleCap('RULEUTC_JammingToggle')
            self:SetIntelRadius('RadarStealthField', 25)
            self:SetScriptBit('RULEUTC_JammingToggle', false)
        elseif enh == 'StealthGeneratorRemove' then
            self:SetScriptBit('RULEUTC_JammingToggle', true)
            self:SetIntelRadius('RadarStealthField', 0)
            self:RemoveToggleCap('RULEUTC_JammingToggle')
            self:RequestRefreshUI()
        elseif enh == 'CloakingGenerator' then
            self:AddToggleCap('RULEUTC_CloakToggle')
            self:SetScriptBit('RULEUTC_CloakToggle', true)
            self:SetScriptBit('RULEUTC_CloakToggle', false)
            self:RequestRefreshUI()
            self.RecloakCountdown = 0
            self.CloakManagerThread = self:ForkThread(self.CloakManager)
            self.CloakDevicePresent = true
        elseif enh == 'CloakingGeneratorRemove' then
            self:SetScriptBit('RULEUTC_CloakToggle', true)
            self:RemoveToggleCap('RULEUTC_CloakToggle')
            if self.CloakManagerThread then
                self.CloakManagerThread:Destroy()
            end
            self.CloakDevicePresent = false
            #self.DamageSponge = false
            #self:SetRegenRate(self:GetBlueprint().Defense.RegenRate)
            self:SetScriptBit('RULEUTC_JammingToggle', true)
            self:SetIntelRadius('RadarStealthField', 0)
            self:RemoveToggleCap('RULEUTC_JammingToggle')
            self:RequestRefreshUI()
        elseif enh == 'NinjaCloak' then
            self.HasNinjaUpgrade = true
            self.EnergyUsageRates.CloakWhileMoving = 0
            self.EnergyUsageRates.Cloak = 0
            self.EnergyUsageRates.CounterIntel = 0
            self:UpdateEnergyUsage()
            self.bpDecloakRadius = 0
            self.bpDecloakRadiusWhileMoving = 0
            self.bpCloakDisableAfterNoEnergyTimer = 0
            self.CloakDevicePresent = true  -- Missed in ATW 1.2
        elseif enh == 'NinjaCloakRemove' then
            self.HasNinjaUpgrade = false
            local bp = self:GetBlueprint()
            local bpEnergy = bp.Economy.EnergyUsageRates
            self.EnergyUsageRates.CloakWhileMoving = bpEnergy.CloakWhileMoving
            self.EnergyUsageRates.Cloak = bpEnergy.Cloak
            self.EnergyUsageRates.CounterIntel = bpEnergy.CounterIntel
            self:UpdateEnergyUsage()
            self.bpDecloakRadius = bp.Intel.DecloakRadius
            self.bpDecloakRadiusWhileMoving = bp.Intel.DecloakRadiusWhileMoving
            self.bpCloakDisableAfterNoEnergyTimer = bp.Intel.CloakDisableAfterNoEnergyTimer
            self:SetScriptBit('RULEUTC_CloakToggle', true)
            self:RemoveToggleCap('RULEUTC_CloakToggle')
            if self.CloakManagerThread then
                self.CloakManagerThread:Destroy()
            end
            self.CloakDevicePresent = false
            #self.DamageSponge = false
            #self:SetRegenRate(self:GetBlueprint().Defense.RegenRate)
            self:SetScriptBit('RULEUTC_JammingToggle', true)
            self:SetIntelRadius('RadarStealthField', 0)
            self:RemoveToggleCap('RULEUTC_JammingToggle')
            self:RequestRefreshUI()
        elseif enh == 'Teleporter' then
            self.HasTeleportUpgrade = true
            self.InBeaconProximityTesting = false
            self.TeleportRechargeTime = 15
            self.TeleportEnergyCost = 3000
            self:AddCommandCap('RULEUCC_Teleport')
        elseif enh == 'TeleporterRemove' then
            self.HasTeleportUpgrade = false
            self.InBeaconProximityTesting = false
            self:RemoveCommandCap('RULEUCC_Teleport')
            self.TeleportRechargeTime = 60
            self.TeleportEnergyCost = 15000



        --                                                         
        --                      LEFT ARM                           
        --                                                         

        elseif enh == 'Nanolathe' then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['CybranACUNanolatheBuildRate'] then
                BuffBlueprint {
                    Name = 'CybranACUNanolatheBuildRate',
                    DisplayName = 'CybranACUNanolatheBuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'CybranACUNanolatheBuildRate')
        elseif enh =='NanolatheRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            self:AddBuildRestriction( categories.CYBRAN * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL) )
            if Buff.HasBuff( self, 'CybranACUNanolatheBuildRate' ) then
                Buff.RemoveBuff( self, 'CybranACUNanolatheBuildRate' )
            end
        elseif enh =='AdvancedEngineering' then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['CybranACUT2BuildRate'] then
                BuffBlueprint {
                    Name = 'CybranACUT2BuildRate',
                    DisplayName = 'CybranACUT2BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'CybranACUT2BuildRate')
        elseif enh =='AdvancedEngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            self:AddBuildRestriction( categories.CYBRAN * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL) )
            if Buff.HasBuff( self, 'CybranACUT2BuildRate' ) then
                Buff.RemoveBuff( self, 'CybranACUT2BuildRate' )
            end
        elseif enh =='T3Engineering' then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['CybranACUT3BuildRate'] then
                BuffBlueprint {
                    Name = 'CybranACUT3BuildRate',
                    DisplayName = 'CybranCUT3BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'CybranACUT3BuildRate')
        elseif enh =='T3EngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            if Buff.HasBuff( self, 'CybranACUT3BuildRate' ) then
                Buff.RemoveBuff( self, 'CybranACUT3BuildRate' )
            end
            self:AddBuildRestriction( categories.CYBRAN * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL) )
        elseif enh =='T4Engineering' then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            local cat = ParseEntityCategory(bp.BuildableCategoryAdds)
            self:RemoveBuildRestriction(cat)
            if not Buffs['CybranACUT4BuildRate'] then
                BuffBlueprint {
                    Name = 'CybranACUT4BuildRate',
                    DisplayName = 'CybranCUT4BuildRate',
                    BuffType = 'ACUBUILDRATE',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add = bp.NewHealth,
                            Mult = 1.0,
                        },
                        SelfRepair = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'CybranACUT4BuildRate')
        elseif enh =='T4EngineeringRemove' then
            local bp = self:GetBlueprint().Economy.BuildRate
            if not bp then return end
            self:RestoreBuildRestrictions()
            if Buff.HasBuff( self, 'CybranACUT4BuildRate' ) then
                Buff.RemoveBuff( self, 'CybranACUT4BuildRate' )
            end
            self:AddBuildRestriction( categories.CYBRAN * (categories.BUILTBYTIER2COMMANDER + categories.BUILTBYTIER3COMMANDER + categories.EXPERIMENTAL) )
        elseif enh == 'DamageSponge1' or enh == 'DamageSponge2' or enh == 'DamageSponge3' or enh == 'DamageSponge4'then
            local bp = self:GetBlueprint().Enhancements[enh]
            if not bp then return end
            if not Buffs[enh] then
                BuffBlueprint {
                    Name = enh,
                    DisplayName = enh,
                    BuffType = 'DamageSponge',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        Regen = {
                            Add = bp.Regen,
                            Mult = 1,
                        },
                        MaxHealth = {
                            Add =  bp.MaxHealth,
                            Mult = 1,
                                      
                        },
                        SelfRepair = {
                            Add = bp.SelfRepair,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, enh)
        elseif enh == 'DamageSponge1Remove' or enh == 'DamageSponge2Remove' or enh == 'DamageSponge3Remove' or enh == 'DamageSponge4Remove' then
            if Buff.HasBuff( self, string.gsub(enh, 'Remove', '') ) then
                Buff.RemoveBuff( self, string.gsub(enh, 'Remove', '') )
            end
    --[[    elseif enh == 'DamageSponge' then
            #self.DamageSponge = true
            #self:SetRegenRate(500)
            if not Buffs['CybranACUDamageSponge'] then
                BuffBlueprint {
                    Name = 'CybranACUDamageSponge',
                    DisplayName = 'CybranACUDamageSponge',
                    BuffType = 'Regen',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        Regen = {
                            Add =  800,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'CybranACUDamageSponge')
            
        elseif enh == 'DamageSpongeRemove' then
            #self.DamageSponge = false
            #self:SetRegenRate(self:GetBlueprint().Defense.RegenRate
            if Buff.HasBuff( self, 'CybranACUDamageSponge' ) then
                Buff.RemoveBuff( self, 'CybranACUDamageSponge' )
            end
            #self:SetScriptBit('RULEUTC_JammingToggle', true)
            #self:SetIntelRadius('RadarStealthField', 0)
            #self:RemoveToggleCap('RULEUTC_JammingToggle')
            #self:RequestRefreshUI()
--]]

        --                                                         
        --                     RIGHT ARM                           
        --                                                         

        elseif enh == 'NaniteTorpedoTube' then
            self:SetWeaponEnabledByLabel('Torpedo', true)
            self:EnableUnitIntel('Sonar')
            local wep = self:GetWeaponByLabel('Torpedo')
			if not Buffs['NaniteTorpedoTube'] then
                BuffBlueprint {
                    Name = 'NaniteTorpedoTube',
                    DisplayName = 'NaniteTorpedoTube',
					ByName = 'Torpedo',
                    BuffType = 'MaxRadius',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        MaxRadius = {
                            Add =  50,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'NaniteTorpedoTube')
        elseif enh == 'NaniteTorpedoTubeRemove' then
            self:SetWeaponEnabledByLabel('Torpedo', false)
            self:DisableUnitIntel('Sonar')
			if Buff.HasBuff( self, string.gsub(enh, 'Remove', '') ) then
                Buff.RemoveBuff( self, string.gsub(enh, 'Remove', '') )
            end
        elseif enh == 'WeaponEnhanceLevel1' then
            self:SetWeaponEnabledByLabel('MLG', true)
            local wep = self:GetWeaponByLabel('RightRipper')
            wep:ChangeMinRadius(12.1)
        elseif enh =='WeaponEnhanceLevel2' then
            if not Buffs['WeaponEnhanceLevel2'] then
                BuffBlueprint {
                    Name = 'WeaponEnhanceLevel2',
                    DisplayName = 'WeaponEnhanceLevel2',
                    BuffType = 'MaxRadius',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        MaxRadius = {
                            Add =  19-12,
                            Mult = 1,
							ByName = {
                                MLG = true,
                            },
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'WeaponEnhanceLevel2')
            local wep2 = self:GetWeaponByLabel('RightRipper')
            wep2:ChangeMinRadius(19.1)
        elseif enh =='WeaponEnhanceLevel3' then
			if not Buffs['WeaponEnhanceLevel3'] then
                BuffBlueprint {
                    Name = 'WeaponEnhanceLevel3',
                    DisplayName = 'WeaponEnhanceLevel3',
                    BuffType = 'MaxRadius',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        MaxRadius = {
                            Add =  27-12,
                            Mult = 1,
							ByName = {
                                MLG = true,
                            },
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'WeaponEnhanceLevel3')
			self:SetWeaponEnabledByLabel('RightRipper', false)
        elseif enh =='WeaponEnhanceLevel4' then
			if not Buffs['WeaponEnhanceLevel4'] then
                BuffBlueprint {
                    Name = 'WeaponEnhanceLevel4',
                    DisplayName = 'WeaponEnhanceLevel4',
					ByName = 'MLG',
                    BuffType = 'MaxRadius',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        MaxRadius = {
                            Add =  35-12,
                            Mult = 1,
							ByName = {
                                MLG = true,
                            },
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'WeaponEnhanceLevel4')
			self:SetWeaponEnabledByLabel('RightRipper', false)
		elseif enh =='WeaponEnhanceLevel1Remove' or enh =='WeaponEnhanceLevel2Remove' or enh== 'WeaponEnhanceLevel3Remove' or enh== 'WeaponEnhanceLevel4Remove' then
            self:SetWeaponEnabledByLabel('MLG', false)
			if Buff.HasBuff( self, string.gsub(enh, 'Remove', '') ) then
                Buff.RemoveBuff( self, string.gsub(enh, 'Remove', '') )
            end
			local wep2 = self:GetWeaponByLabel('RightRipper')
			self:SetWeaponEnabledByLabel('RightRipper', true)
            wep2:ChangeMinRadius(2)
        end
    end,
	
    OnKilled = function(self, instigator, type, overkillRatio)
        CWalkingLandUnit.OnKilled(self, instigator, type, overkillRatio)
    end,
    OnMotionHorzEventChange = function( self, new, old )
        OldUnit.OnMotionHorzEventChange(self, new, old)
        if self.CloakDevicePresent == true then
            if old == 'Stopped' then
                self:UpdateEnergyUsage()
            end
            if new == 'Stopped' then
                self:UpdateEnergyUsage()
            end
        end
    end,

    OnScriptBitSet = function(self, bit)
        CWalkingLandUnit.OnScriptBitSet(self,bit)
    end,

    OnScriptBitClear = function(self, bit)
        CWalkingLandUnit.OnScriptBitClear(self,bit)
    end,
}

TypeClass = URL0001

end
