do

local OldUnit = URL0301
--[[
local function EnhanceThread(self, builder)
    local FactoryEnhancements = builder.EnhanceList or {}
    for k,v in FactoryEnhancements do
        local order = {
            TaskName = "EnhanceTask",
            Enhancement = v
        }
        IssueScript({self}, order)
    end
end
--]]
URL0301 = Class(OldUnit) {

    CloakDevicePresent = false,

    OnStopBeingBuilt = function(self, builder, layer)
        OldUnit.OnStopBeingBuilt(self, builder, layer)
        --self:ForkThread(EnhanceThread, builder)
    end,
    Weapons = {
        DeathWeapon = Class(CIFCommanderDeathWeapon) {},
        RightDisintegrator = Class(CDFLaserDisintegratorWeapon) {
            OnCreate = function(self)
                CDFLaserDisintegratorWeapon.OnCreate(self)
                #Disable buff 
                self:DisableBuff('STUN')
            end,
            OnWeaponFired = function(self)
                local bp = self:GetBlueprint()
                if self.unit.RecloakCountdown < (bp.RecloakAfterFiringDelay or 0) then
                    self.unit.RecloakCountdown = bp.RecloakAfterFiringDelay or 0
                end
                CDFLaserDisintegratorWeapon.OnWeaponFired(self)
            end,
        },
        NMissile = Class(CAAMissileNaniteWeapon) {
            OnWeaponFired = function(self)
                local bp = self:GetBlueprint()
                if self.unit.RecloakCountdown < (bp.RecloakAfterFiringDelay or 0) then
                    self.unit.RecloakCountdown = bp.RecloakAfterFiringDelay or 0
                end
                CAAMissileNaniteWeapon.OnWeaponFired(self)
            end,
        },
    },
    CreateEnhancement = function(self, enh)
        CWalkingLandUnit.CreateEnhancement(self, enh)
        local bp = self:GetBlueprint().Enhancements[enh]
        if not bp then return end
        if enh == 'CloakingGenerator' then
            self:AddToggleCap('RULEUTC_CloakToggle')
            self:SetScriptBit('RULEUTC_CloakToggle', true)
            self:SetScriptBit('RULEUTC_CloakToggle', false)
            self:RequestRefreshUI()
            self.RecloakCountdown = 0
            self.CloakManagerThread = self:ForkThread(self.CloakManager)
            self.CloakDevicePresent = true
        elseif enh == 'CloakingGeneratorRemove' then
            self:SetScriptBit('RULEUTC_CloakToggle', true)
            self:RemoveToggleCap('RULEUTC_CloakToggle')
            if self.CloakManagerThread then
                self.CloakManagerThread:Destroy()
            end
            self.CloakDevicePresent = false
            self:SetScriptBit('RULEUTC_JammingToggle', true)
            self:DisableUnitIntel('RadarStealth')
            self:DisableUnitIntel('SonarStealth')
            self:RemoveToggleCap('RULEUTC_JammingToggle')
            self:RequestRefreshUI()
        elseif enh == 'StealthGenerator' then
            self:AddToggleCap('RULEUTC_JammingToggle')
            self:EnableUnitIntel('RadarStealth')
            self:SetScriptBit('RULEUTC_JammingToggle', true)
            self:SetScriptBit('RULEUTC_JammingToggle', false)
            self:RequestRefreshUI()
        elseif enh == 'StealthGeneratorRemove' then
            self:SetScriptBit('RULEUTC_JammingToggle', true)
            self:DisableUnitIntel('RadarStealth')
            self:RemoveToggleCap('RULEUTC_JammingToggle')
            self:RequestRefreshUI()
        elseif enh == 'NaniteMissileSystem' then
            self:ShowBone('AA_Gun', true)
            self:SetWeaponEnabledByLabel('NMissile', true)
            local wep = self:GetWeaponByLabel('NMissile')
            wep:ChangeMaxRadius(60)
        elseif enh == 'NaniteMissileSystemRemove' then
            self:HideBone('AA_Gun', true)
            self:SetWeaponEnabledByLabel('NMissile', false)
            local wep = self:GetWeaponByLabel('NMissile')
            wep:ChangeMaxRadius(0)
        elseif enh == 'SelfRepairSystem' then
            if not Buffs['SelfRepairSystem'] then
                BuffBlueprint {
                    Name = 'SelfRepairSystem',
                    DisplayName = 'SelfRepairSystem',
                    BuffType = 'SCUREGEN',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        Regen = {
                            Add =  bp.NewRegenRate,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'SystemIntegrityCompensator')
            #local bpRegenRate = self:GetBlueprint().Enhancements.SelfRepairSystem.NewRegenRate 
            #self:SetRegenRate(bpRegenRate or 0)
        elseif enh == 'SelfRepairSystemRemove' then
            if Buff.HasBuff( self, 'SelfRepairSystem' ) then
                Buff.RemoveBuff( self, 'SelfRepairSystem' )
            end
        elseif enh =='Switchback' then
            if not Buffs['Switchback'] then
                BuffBlueprint {
                    Name = 'Switchback',
                    DisplayName = 'Switchback',
                    BuffType = 'SCUENGINEERING',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'Switchback')
            #self:SetBuildRateOverride(bp.NewBuildRate)
        elseif enh == 'SwitchbackRemove' then
            if Buff.HasBuff( self, 'Switchback' ) then
                Buff.RemoveBuff( self, 'Switchback' )
            end
        elseif enh == 'FocusConvertor' then
            if not Buffs['FocusConvertor'] then
                        BuffBlueprint {
                            Name = 'FocusConvertor',
                            DisplayName = 'FocusConvertor',
                            BuffType = 'SCUDAMAGE',
                            Stacks = 'ALWAYS',
                            Duration = -1,
                            Affects = {
                                Damage = {
                                    Add =  bp.NewDamageMod,
                                    Mult = 1,
                                    ByName = 'RightDisintegrator',
                                },
                            },
                        }
            end
            #local wep = self:GetWeaponByLabel('RightDisintegrator')
            #wep:AddDamageMod(self:GetBlueprint().Enhancements.FocusConvertor.NewDamageMod or 0)
        elseif enh == 'FocusConvertorRemove' then
            local wep = self:GetWeaponByLabel('RightDisintegrator')
            wep:AddDamageMod(0)
        elseif enh == 'EMPCharge' then
            local wep = self:GetWeaponByLabel('RightDisintegrator')
            wep:ReEnableBuff('STUN')        
        elseif enh == 'EMPChargeRemove' then
            local wep = self:GetWeaponByLabel('RightDisintegrator')
            wep:DisableBuff('STUN')        
        end
        if bp.ArmorAdjustment then 
            LOG("|| Enh Armor: " .. bp.ArmorAdjustment)
            if bp.ArmorAdjustment > 0 then
                self:AddHealthBuff(enh..'Health', bp.ArmorAdjustment)
            else
                self:RemoveHealthBuff(string.gsub(enh, 'Remove', '').. 'Health')
            end
        end
    end,
    
    AddHealthBuff = function(self, name, value)
        if not Buffs[name] then
                BuffBlueprint {
                    Name = name,
                    DisplayName = name .. " health buff",
                    BuffType = 'HEALTH',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        MaxHealth = {
                            Add =  value,
                            Mult = 1,
                        },
                    },
                }
        end
        Buff.ApplyBuff(self, name)
    end,

    RemoveHealthBuff = function(self, name)
        if Buff.HasBuff( self, name ) then
            Buff.RemoveBuff( self, name )
        end
    end,
    
    OnKilled = function(self, instigator, type, overkillRatio)
        CWalkingLandUnit.OnKilled(self, instigator, type, overkillRatio)    -- Fixes a Buff problem.
    end,
    
    OnMotionHorzEventChange = function( self, new, old )
        OldUnit.OnMotionHorzEventChange(self, new, old)
        if self.CloakDevicePresent == true then
            if old == 'Stopped' then
                self:UpdateEnergyUsage()
            end
            if new == 'Stopped' then
                self:UpdateEnergyUsage()
            end
        end
    end,
    
    OnScriptBitSet = function(self, bit)
        CWalkingLandUnit.OnScriptBitSet(self,bit)
    end,

    OnScriptBitClear = function(self, bit)
        CWalkingLandUnit.OnScriptBitClear(self,bit)
    end,
}   
    
TypeClass = URL0301

end
