do

local Buff = import('/lua/sim/Buff.lua')
local OldUnit = URL0303
local CWalkingLandUnit = import('/lua/cybranunits.lua').CWalkingLandUnit
URL0303 = Class(OldUnit) {
    SpyModeMultiplier = 1,
    Weapons = {
        Disintigrator = Class(CDFLaserDisintegratorWeapon) {
            OnWeaponFired = function(self)
                local bp = self:GetBlueprint()
                if self.unit.RecloakCountdown < ((bp.RecloakAfterFiringDelay * self.unit.SpyModeMultiplier) or 0) then
                    self.unit.RecloakCountdown = (bp.RecloakAfterFiringDelay * self.unit.SpyModeMultiplier) or 0
                end
                CDFLaserDisintegratorWeapon.OnWeaponFired(self)
            end,
        },
        HeavyBolter = Class(CDFElectronBolterWeapon) {
            OnWeaponFired = function(self)
                local bp = self:GetBlueprint()
                if self.unit.RecloakCountdown < (bp.RecloakAfterFiringDelay or 0) then
                    self.unit.RecloakCountdown = bp.RecloakAfterFiringDelay or 0
                end
                CDFElectronBolterWeapon.OnWeaponFired(self)
            end,
        },
        EMP = Class(EMPDeathWeapon) {},
    },
    OnStopBeingBuilt = function(self, builder, layer)
        OldUnit.OnStopBeingBuilt(self, builder, layer) 
        self:SetScriptBit('RULEUTC_IntelToggle', false)
        self:RequestRefreshUI()
        self.RecloakCountdown = 0
        self.CloakManagerThread = self:ForkThread(self.CloakManager)
        self:SetScriptBit('RULEUTC_SpecialToggle', false) 
        self.DoneBeingBuilt = true
    end, 
    OnKilled = function(self, instigator, type, overkillRatio)
        if self.SpyUnits then
            for k,v in self.SpyUnits do
                if not v:IsDead() then
                    v.SpyEnt = nil
                end
            end
        end
        CWalkingLandUnit.OnKilled(self, instigator, type, overkillRatio)
    end,
    EnableSpecialToggle = function(self)
        OldUnit.EnableSpecialToggle(self)
        if self.DoneBeingBuilt == true then
            if not Buffs['SpyPlantMode'] then
                BuffBlueprint {
                    Name = 'SpyPlantMode',
                    DisplayName = 'Spy Plant Mode',
                    BuffType = 'LoyalistWeaponUpgrade',
                    Stacks = 'REPLACE',
                    Duration = -1,
                    Affects = {
                        Damage = {
                            Add =  0,
                            Mult = 0,
                            ByName = {
                                Disintigrator = true,
                            },
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'SpyPlantMode')
            self.SpyModeMultiplier = 0.25


            local EmitterPath = '/mods/Supremilated_ATWMedia_20_007/hook/effects/emitters/UEFVet.bp'
            self.vetEmitter = CreateAttachedEmitter(self, -1, self:GetArmy(),EmitterPath):ScaleEmitter(self:GetEffectsScale()*3)


        end
    end,
    DisableSpecialToggle = function(self)
        OldUnit.DisableSpecialToggle(self)
        if self.DoneBeingBuilt == true then
            if Buff.HasBuff( self, 'SpyPlantMode' ) then
                Buff.RemoveBuff( self, 'SpyPlantMode' )
            end
            self.SpyModeMultiplier = 1


            local EmitterPath = '/mods/Supremilated_ATWMedia_20_007/hook/effects/emitters/AeonVet.bp'
            self.vetEmitter = CreateAttachedEmitter(self, -1, self:GetArmy(),EmitterPath):ScaleEmitter(self:GetEffectsScale()*4.5)


        end
    end,
}   
    
TypeClass = URL0303

end
