do
local DefaultUnitsFile = import('/lua/defaultunits.lua')
local AWalkingLandUnit = import('/lua/aeonunits.lua').AWalkingLandUnit
local OldUnit = XSL0301
--[[
local function EnhanceThread(self, builder)
    local FactoryEnhancements = builder.EnhanceList or {}
    for k,v in FactoryEnhancements do
        local order = {
            TaskName = "EnhanceTask",
            Enhancement = v
        }
        IssueScript({self}, order)
    end
end
--]]
XSL0301 = Class(OldUnit) {
    OnStopBeingBuilt = function(self, builder, layer)
        OldUnit.OnStopBeingBuilt(self, builder, layer)
        --self:ForkThread(EnhanceThread, builder)
    end,
    OnStartBuild = function(self, unitBeingBuilt, order)
        DefaultUnitsFile.MobileUnit.OnStartBuild(self,unitBeingBuilt, order)
        OldUnit.OnStartBuild(self, unitBeingBuilt, order)
    end,
    CreateEnhancement = function(self, enh)
        SWalkingLandUnit.CreateEnhancement(self, enh)
        local bp = self:GetBlueprint().Enhancements[enh]
        if not bp then return end
        if enh == 'Missile' then
            self:AddCommandCap('RULEUCC_Tactical')
            self:AddCommandCap('RULEUCC_SiloBuildTactical')
            self:SetWeaponEnabledByLabel('Missile', true)
            local wep = self:GetWeaponByLabel('Missile')
            wep:ChangeMaxRadius(150)
        elseif enh == 'MissileRemove' then
            self:RemoveCommandCap('RULEUCC_Tactical')
            self:RemoveCommandCap('RULEUCC_SiloBuildTactical')
            self:SetWeaponEnabledByLabel('Missile', false)
            local wep = self:GetWeaponByLabel('Missile')
            wep:ChangeMaxRadius(0)
        elseif enh == 'Shield' then
            self:AddToggleCap('RULEUTC_ShieldToggle')
            self:SetEnergyMaintenanceConsumptionOverride(bp.MaintenanceConsumptionPerSecondEnergy or 0)
            self:SetMaintenanceConsumptionActive()
            self:CreatePersonalShield(bp)
        elseif enh == 'ShieldRemove' then
            self:DestroyShield()
            self:SetMaintenanceConsumptionInactive()
            self:RemoveToggleCap('RULEUTC_ShieldToggle')
        elseif enh == 'Overcharge' then
            self:AddCommandCap('RULEUCC_Overcharge')
            self:SetWeaponEnabledByLabel('OverCharge', true)
        elseif enh == 'OverchargeRemove' then
            self:RemoveCommandCap('RULEUCC_Overcharge')
            self:SetWeaponEnabledByLabel('OverCharge', false)
        elseif enh =='EngineeringThroughput' then
            if not Buffs['SeraphimSCUBuildRate'] then
                BuffBlueprint {
                    Name = 'SeraphimSCUBuildRate',
                    DisplayName = 'SeraphimSCUBuildRate',
                    BuffType = 'SCUBUILDRATE',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        BuildRate = {
                            Add =  bp.NewBuildRate - self:GetBlueprint().Economy.BuildRate,
                            Mult = 1,
                        },
                    },
                }
            end
            Buff.ApplyBuff(self, 'SeraphimSCUBuildRate')
        elseif enh == 'EngineeringThroughputRemove' then
            if Buff.HasBuff( self, 'SeraphimSCUBuildRate' ) then
                Buff.RemoveBuff( self, 'SeraphimSCUBuildRate' )
            end
        elseif enh == 'DamageStabilization' then
            if not Buffs['SeraphimSCUDamageStabilization'] then
               BuffBlueprint {
                    Name = 'SeraphimSCUDamageStabilization',
                    DisplayName = 'SeraphimSCUDamageStabilization',
                    BuffType = 'SCUUPGRADEDMG',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        Regen = {
                            Add = bp.NewRegenRate,
                            Mult = 1.0,
                        },
                    },
                } 
            end
            if Buff.HasBuff( self, 'SeraphimSCUDamageStabilization' ) then
                Buff.RemoveBuff( self, 'SeraphimSCUDamageStabilization' )
            end  
            Buff.ApplyBuff(self, 'SeraphimSCUDamageStabilization')            
        elseif enh == 'DamageStabilizationRemove' then
            if Buff.HasBuff( self, 'SeraphimSCUDamageStabilization' ) then
                Buff.RemoveBuff( self, 'SeraphimSCUDamageStabilization' )
            end  
        elseif enh == 'EnhancedSensors' then
            self:SetIntelRadius('Vision', bp.NewVisionRadius or 104)
            self:SetIntelRadius('Radar', bp.NewRadarRadius or 104)
        elseif enh == 'EnhancedSensorsRemove' then
            local bpIntel = self:GetBlueprint().Intel
            self:SetIntelRadius('Vision', bpIntel.VisionRadius or 26)
            self:SetIntelRadius('Radar', bpIntel.NewRadarRadius or 16)
        end
        if bp.ArmorAdjustment then 
            LOG("|| Enh Armor: " .. bp.ArmorAdjustment)
            if bp.ArmorAdjustment > 0 then
                self:AddHealthBuff(enh..'Health', bp.ArmorAdjustment)
            else
                self:RemoveHealthBuff(string.gsub(enh, 'Remove', '').. 'Health')
            end
        end
    end,
    
    AddHealthBuff = function(self, name, value)
        if not Buffs[name] then
                BuffBlueprint {
                    Name = name,
                    DisplayName = name .. " health buff",
                    BuffType = 'HEALTH',
                    Stacks = 'ALWAYS',
                    Duration = -1,
                    Affects = {
                        MaxHealth = {
                            Add =  value,
                            Mult = 1,
                        },
                    },
                }
        end
        Buff.ApplyBuff(self, name)
    end,

    RemoveHealthBuff = function(self, name)
        if Buff.HasBuff( self, name ) then
            Buff.RemoveBuff( self, name )
        end
    end,
}   

TypeClass = XSL0301

end
