local SSubUnit = import('/lua/seraphimunits.lua').SSubUnit
local SWeapon = import('/lua/seraphimweapons.lua')
local WeaponFile = import('/lua/terranweapons.lua')
local TIFSmartCharge = WeaponFile.TIFSmartCharge

XSS0103 = Class(SSubUnit) {
    Weapons = {
        MainGun = Class(SWeapon.SDFShriekerCannon){},
        AntiAir = Class(SWeapon.SAAShleoCannonWeapon){},
        AntiTorpedo = Class(TIFSmartCharge) {},
    },

    OnMotionVertEventChange = function( self, new, old )
        SSubUnit.OnMotionVertEventChange(self, new, old)
        if new == 'Top' then
            self:SetWeaponEnabledByLabel('MainGun', true)
            self:SetWeaponEnabledByLabel('AntiAir', true)
        elseif new == 'Down' then
            self:SetWeaponEnabledByLabel('MainGun', false)
            self:SetWeaponEnabledByLabel('AntiAir', false)
        end
    end,

    OnStopBeingBuilt = function(self, builder, layer)
        SSubUnit.OnStopBeingBuilt(self, builder, layer)
        IssueDive({self})
    end,
}
TypeClass = XSS0103
