local SSubUnit = import('/lua/seraphimunits.lua').SSubUnit
local SWeapon = import('/lua/seraphimweapons.lua')

XSS0202 = Class(SSubUnit) {
    Weapons = {
        Missile = Class(SLaanseMissileWeapon) {},
        RightAAGun = Class(SAAShleoCannonWeapon) {},
        LeftAAGun = Class(SAAOlarisCannonWeapon) {},
        AntiMissile = Class(SAMElectrumMissileDefense) {},
    },

    BackWakeEffect = {},

    OnMotionVertEventChange = function( self, new, old )
        SSubUnit.OnMotionVertEventChange(self, new, old)
        if new == 'Top' then
            self:SetWeaponEnabledByLabel('Missile', true)
            self:SetWeaponEnabledByLabel('LeftAAGun', true)
            self:SetWeaponEnabledByLabel('RightAAGun', true)
            self:SetWeaponEnabledByLabel('AntiMissile', true)
        elseif new == 'Down' then
            self:SetWeaponEnabledByLabel('Missile', false)
            self:SetWeaponEnabledByLabel('LeftAAGun', false)
            self:SetWeaponEnabledByLabel('RightAAGun', false)
            self:SetWeaponEnabledByLabel('AntiMissile', false)
        end
    end,

    OnStopBeingBuilt = function(self, builder, layer)
        SSubUnit.OnStopBeingBuilt(self, builder, layer)
        IssueDive({self})
    end,
}
TypeClass = XSS0202
