local SSubUnit = import('/lua/seraphimunits.lua').SSubUnit
local SWeapon = import('/lua/seraphimweapons.lua')

XSS0302 = Class(SSubUnit) {
    FxDamageScale = 2,
    DestructionTicks = 400,

    Weapons = {
        BackTurret = Class(SDFHeavyQuarnonCannon) {},
        FrontTurret = Class(SDFHeavyQuarnonCannon) {},
        MidTurret = Class(SDFHeavyQuarnonCannon) {},
        AntiMissileLeft = Class(SAMElectrumMissileDefense) {},
        AntiMissileRight = Class(SAMElectrumMissileDefense) {},
        AntiAirLeft = Class(SAAOlarisCannonWeapon) {},
        AntiAirRight = Class(SAAOlarisCannonWeapon) {},
        InainoMissiles = Class(SIFInainoWeapon) {},
    },

    OnMotionVertEventChange = function( self, new, old )
        SSubUnit.OnMotionVertEventChange(self, new, old)
        if new == 'Top' then
            self:SetWeaponEnabledByLabel('FrontTurret', true)
            self:SetWeaponEnabledByLabel('MidTurret', true)
            self:SetWeaponEnabledByLabel('BackTurret', true)
            self:SetWeaponEnabledByLabel('AntiMissileLeft', true)
            self:SetWeaponEnabledByLabel('AntiMissileRight', true)
            self:SetWeaponEnabledByLabel('AntiAirLeft', true)
            self:SetWeaponEnabledByLabel('AntiAirRight', true)
        elseif new == 'Down' then
            self:SetWeaponEnabledByLabel('FrontTurret', false)
            self:SetWeaponEnabledByLabel('MidTurret', false)
            self:SetWeaponEnabledByLabel('BackTurret', false)
            self:SetWeaponEnabledByLabel('AntiMissileLeft', false)
            self:SetWeaponEnabledByLabel('AntiMissileRight', false)
            self:SetWeaponEnabledByLabel('AntiAirLeft', false)
            self:SetWeaponEnabledByLabel('AntiAirRight', false)
        end
    end,

    OnStopBeingBuilt = function(self, builder, layer)
        SSubUnit.OnStopBeingBuilt(self, builder, layer)
        IssueDive({self})
    end,
}
TypeClass = XSS0302
